You are not logged in.

#1 2021-04-28 07:34:57

horo
Member
Registered: 2016-03-13
Posts: 50

nodejs/nodesource - Trouble with dependencies

I'm trying to install a program and running into some issues with dependencies.

(venv) horo@slugbox:~/chia-blockchain$ sh install-gui.sh 
apt-get is /usr/bin/apt-get
[sudo] password for horo: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libxss1 is already the newest version (1:1.2.3-1).
libxss1 set to manually installed.
nodejs is already the newest version (16.0.0-1nodesource1).
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 nodejs : Conflicts: npm
 npm : Depends: node-gyp (>= 3.6.2~) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I tried purging and re installing nodejs to make it go away but that didn't change anything. I then tried to install node-gyp and got this

horo@slugbox:~$ sudo apt install node-gyp
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 node-gyp : Depends: libnode-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I then tried to install libnode-dev and got this

horo@slugbox:~$ sudo apt install libnode-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libnode64
The following packages will be REMOVED:
  nodejs
The following NEW packages will be installed:
  libnode-dev libnode64
0 upgraded, 2 newly installed, 1 to remove and 0 not upgraded.
Need to get 6,027 kB of archives.
After this operation, 94.8 MB disk space will be freed.
Do you want to continue? [Y/n] 
Get:1 https://deb.debian.org/debian buster/main amd64 libnode64 amd64 10.24.0~dfsg-1~deb10u1 [5,631 kB]
Get:2 https://deb.debian.org/debian buster/main amd64 libnode-dev amd64 10.24.0~dfsg-1~deb10u1 [397 kB]
Fetched 6,027 kB in 1s (6,530 kB/s)
(Reading database ... 183461 files and directories currently installed.)
Removing nodejs (16.0.0-1nodesource1) ...
dpkg: warning: while removing nodejs, directory '/usr/lib/node_modules' not empty so not removed
Selecting previously unselected package libnode64:amd64.
(Reading database ... 179900 files and directories currently installed.)
Preparing to unpack .../libnode64_10.24.0~dfsg-1~deb10u1_amd64.deb ...
Unpacking libnode64:amd64 (10.24.0~dfsg-1~deb10u1) ...
Selecting previously unselected package libnode-dev:amd64.
Preparing to unpack .../libnode-dev_10.24.0~dfsg-1~deb10u1_amd64.deb ...
Unpacking libnode-dev:amd64 (10.24.0~dfsg-1~deb10u1) ...
Setting up libnode64:amd64 (10.24.0~dfsg-1~deb10u1) ...
Setting up libnode-dev:amd64 (10.24.0~dfsg-1~deb10u1) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for libc-bin (2.28-10) ...

I then tried to re-install node-gyp and got this

horo@slugbox:~$ sudo apt install node-gyp
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 node-gyp : Depends: libnode-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

God i hate package management.

Any ideas?

Offline

#2 2021-04-28 07:49:52

brontosaurusrex
Middle Office
Registered: 2015-09-29
Posts: 2,280
Website

Re: nodejs/nodesource - Trouble with dependencies

Nodejs seems to suggest an option to use fnm (This will hurt a bit)
https://nodejs.org/en/download/package- … tributions

Last edited by brontosaurusrex (2021-04-28 07:55:16)

Offline

#3 2021-04-28 07:51:43

hhh
Meep!
Registered: 2015-09-17
Posts: 11,653
Website

Re: nodejs/nodesource - Trouble with dependencies

Why that shell command? Install it from the stable or backports repo...

https://www.digitalocean.com/community/ … -debian-10

 sudo apt install nodejs npm

What's the terminal readout if you try to install npm?

https://packages.debian.org/buster/npm

I mean, what you're trying to install just looks wrong. What the hell is 16.0.0-1nodesource1? For buster it should be 10.24.0~dfsg-1~deb10u1.

"nodejs is already the newest version (16.0.0-1nodesource1)"

Also, kindly post /etc/apt/sources.list and any sources in /etc/apt/sources.list.d/

-edit- The whole point of Debian is that the system is stable and package management is easy, I'm worried that you've broken Debian on your system...

https://wiki.debian.org/DontBreakDebian

Offline

#4 2021-04-28 08:06:39

hhh
Meep!
Registered: 2015-09-17
Posts: 11,653
Website

Re: nodejs/nodesource - Trouble with dependencies

Here's the readout on bullseye, it'll be similar on buster/Lithium. Not gonna install 178 new packages locally to test although I'd love to install a package named node-are-we-there-yet. Sorry...

rachel@TyrellCorp:~$  sudo apt install nodejs npm
[sudo] password for rachel: 
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
  gyp libc-ares2 libjs-highlight.js libjs-inherits libjs-is-typedarray
  libjs-psl libjs-typedarray-to-buffer libnode-dev libnode72 libssl-dev
  libuv1-dev node-abbrev node-agent-base node-ajv node-ansi node-ansi-regex
  node-ansi-styles node-ansistyles node-aproba node-archy
  node-are-we-there-yet node-asap node-asn1 node-assert-plus node-asynckit
  node-aws-sign2 node-aws4 node-balanced-match node-bcrypt-pbkdf
  node-brace-expansion node-builtins node-cacache node-caseless node-chalk
  node-chownr node-clone node-color-convert node-color-name node-colors
  node-columnify node-combined-stream node-concat-map
  node-console-control-strings node-copy-concurrently node-core-util-is
  node-dashdash node-debug node-defaults node-delayed-stream node-delegates
  node-depd node-ecc-jsbn node-encoding node-err-code
  node-escape-string-regexp node-extend node-extsprintf node-fast-deep-equal
  node-forever-agent node-form-data node-fs-write-stream-atomic
  node-fs.realpath node-function-bind node-gauge node-getpass node-glob
  node-graceful-fs node-gyp node-har-schema node-har-validator node-has-flag
  node-has-unicode node-hosted-git-info node-http-signature
  node-https-proxy-agent node-iconv-lite node-iferr node-imurmurhash
  node-indent-string node-inflight node-inherits node-ini node-ip
  node-ip-regex node-is-typedarray node-isarray node-isexe node-isstream
  node-jsbn node-json-parse-better-errors node-json-schema
  node-json-schema-traverse node-json-stable-stringify
  node-json-stringify-safe node-jsonify node-jsonparse node-jsonstream
  node-jsprim node-leven node-lockfile node-lru-cache node-mime
  node-mime-types node-minimatch node-mkdirp node-move-concurrently node-ms
  node-mute-stream node-nopt node-normalize-package-data node-npm-bundled
  node-npm-package-arg node-npmlog node-number-is-nan node-oauth-sign
  node-object-assign node-once node-opener node-osenv node-p-map
  node-path-is-absolute node-performance-now node-process-nextick-args
  node-promise-inflight node-promise-retry node-promzard node-psl node-puka
  node-punycode node-qs node-read node-read-package-json node-readable-stream
  node-request node-resolve node-resolve-from node-retry node-rimraf
  node-run-queue node-safe-buffer node-semver node-set-blocking
  node-signal-exit node-slash node-spdx-correct node-spdx-exceptions
  node-spdx-expression-parse node-spdx-license-ids node-sshpk node-ssri
  node-string-decoder node-string-width node-strip-ansi node-supports-color
  node-tar node-text-table node-through node-tough-cookie node-tunnel-agent
  node-tweetnacl node-typedarray-to-buffer node-unique-filename
  node-universalify node-uri-js node-util-deprecate node-uuid
  node-validate-npm-package-license node-validate-npm-package-name node-verror
  node-wcwidth.js node-which node-wide-align node-wrappy
  node-write-file-atomic node-yallist nodejs-doc
Suggested packages:
  libssl-doc
The following NEW packages will be installed:
  gyp libc-ares2 libjs-highlight.js libjs-inherits libjs-is-typedarray
  libjs-psl libjs-typedarray-to-buffer libnode-dev libnode72 libssl-dev
  libuv1-dev node-abbrev node-agent-base node-ajv node-ansi node-ansi-regex
  node-ansi-styles node-ansistyles node-aproba node-archy
  node-are-we-there-yet node-asap node-asn1 node-assert-plus node-asynckit
  node-aws-sign2 node-aws4 node-balanced-match node-bcrypt-pbkdf
  node-brace-expansion node-builtins node-cacache node-caseless node-chalk
  node-chownr node-clone node-color-convert node-color-name node-colors
  node-columnify node-combined-stream node-concat-map
  node-console-control-strings node-copy-concurrently node-core-util-is
  node-dashdash node-debug node-defaults node-delayed-stream node-delegates
  node-depd node-ecc-jsbn node-encoding node-err-code
  node-escape-string-regexp node-extend node-extsprintf node-fast-deep-equal
  node-forever-agent node-form-data node-fs-write-stream-atomic
  node-fs.realpath node-function-bind node-gauge node-getpass node-glob
  node-graceful-fs node-gyp node-har-schema node-har-validator node-has-flag
  node-has-unicode node-hosted-git-info node-http-signature
  node-https-proxy-agent node-iconv-lite node-iferr node-imurmurhash
  node-indent-string node-inflight node-inherits node-ini node-ip
  node-ip-regex node-is-typedarray node-isarray node-isexe node-isstream
  node-jsbn node-json-parse-better-errors node-json-schema
  node-json-schema-traverse node-json-stable-stringify
  node-json-stringify-safe node-jsonify node-jsonparse node-jsonstream
  node-jsprim node-leven node-lockfile node-lru-cache node-mime
  node-mime-types node-minimatch node-mkdirp node-move-concurrently node-ms
  node-mute-stream node-nopt node-normalize-package-data node-npm-bundled
  node-npm-package-arg node-npmlog node-number-is-nan node-oauth-sign
  node-object-assign node-once node-opener node-osenv node-p-map
  node-path-is-absolute node-performance-now node-process-nextick-args
  node-promise-inflight node-promise-retry node-promzard node-psl node-puka
  node-punycode node-qs node-read node-read-package-json node-readable-stream
  node-request node-resolve node-resolve-from node-retry node-rimraf
  node-run-queue node-safe-buffer node-semver node-set-blocking
  node-signal-exit node-slash node-spdx-correct node-spdx-exceptions
  node-spdx-expression-parse node-spdx-license-ids node-sshpk node-ssri
  node-string-decoder node-string-width node-strip-ansi node-supports-color
  node-tar node-text-table node-through node-tough-cookie node-tunnel-agent
  node-tweetnacl node-typedarray-to-buffer node-unique-filename
  node-universalify node-uri-js node-util-deprecate node-uuid
  node-validate-npm-package-license node-validate-npm-package-name node-verror
  node-wcwidth.js node-which node-wide-align node-wrappy
  node-write-file-atomic node-yallist nodejs nodejs-doc npm
0 upgraded, 178 newly installed, 0 to remove and 0 not upgraded.
Need to get 17.1 MB of archives.
After this operation, 74.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] 

Offline

#5 2021-04-28 08:29:50

hhh
Meep!
Registered: 2015-09-17
Posts: 11,653
Website

Re: nodejs/nodesource - Trouble with dependencies

Also run

sudp apt -f install

that output might be useful.

Offline

#6 2021-04-28 08:32:53

horo
Member
Registered: 2016-03-13
Posts: 50

Re: nodejs/nodesource - Trouble with dependencies

here ya go-

# 

# deb cdrom:[Debian GNU/Linux 10 _Lithium_ - Snapshot amd64 LIVE/INSTALL Binary 20210130-13:51]/ buster contrib main non-free

#deb cdrom:[Debian GNU/Linux 10 _Lithium_ - Snapshot amd64 LIVE/INSTALL Binary 20210130-13:51]/ buster contrib main non-free

deb https://deb.debian.org/debian buster main non-free contrib
# deb-src https://deb.debian.org/debian buster main non-free contrib

## Debian security updates
deb https://deb.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb https://deb.debian.org/debian buster-updates main contrib non-free
# deb-src https://deb.debian.org/debian buster-updates main contrib non-free

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
horo@slugbox:~$ ls /etc/apt/sources.list.d/
brave-browser-release.list  bunsen.list  debian-buster-backports.list  keybase.list  nodesource.list
horo@slugbox:~$ less /etc/apt/sources.list.d/nodesource.list
deb [signed-by=/usr/share/keyrings/nodesource.gpg] https://deb.nodesource.com/node_16.x buster main
deb-src [signed-by=/usr/share/keyrings/nodesource.gpg] https://deb.nodesource.com/node_16.x buster main

The 16.0.0-1source is me pullin from nodesource following these instruction here

Before that I did use the normal repos and had the older versions.
here is an old line before i started tinkering-

horo@slugbox:~$ nodejs -v && npm -v
v10.24.1
6.14.12

I had tried apt remove --purge and reinstall a couple of times with no improvement before the nodesource repo was added

requested output-

horo@slugbox:~$ sudo apt -f install
[sudo] password for horo: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

edit: link fixed.

Last edited by horo (2021-04-28 14:10:27)

Offline

#7 2021-04-28 09:02:57

hhh
Meep!
Registered: 2015-09-17
Posts: 11,653
Website

Re: nodejs/nodesource - Trouble with dependencies

Your github nodesource link is dead or missing. Disable the nodesource list. remove everything nodesource and re-install it from the buster stable repo, reboot and let's see if it at least works before we try an upgrade.

-edit- Editing the Subject Tile to include nodejs/nodesource.

Offline

#8 2021-04-28 09:36:38

rbh
Member
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 1,034

Re: nodejs/nodesource - Trouble with dependencies

hhh wrote:

Your github nodesource link is dead or missing.

https://github.com/nodesource/distribut … /README.md, is up. @horo made an error kreating the link, made it point to adress: here ...


// Regards rbh

Offline

#9 2021-04-28 15:43:01

horo
Member
Registered: 2016-03-13
Posts: 50

Re: nodejs/nodesource - Trouble with dependencies

rbh wrote:
hhh wrote:

Your github nodesource link is dead or missing.

https://github.com/nodesource/distribut … /README.md, is up. @horo made an error kreating the link, made it point to adress: here ...

That's what i get for trying to type after staying up to late.

Anyways here's where I'm at-
Trying to apt-get libnode-dev removed nodejs and npm

horo@slugbox:~$ sudo apt remove --purge nodejs npm
[sudo] password for horo: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'npm' is not installed, so not removed
Package 'nodejs' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

so..

horo@slugbox:~$ sudo mv /etc/apt/sources.list.d/nodesource.list ~/
horo@slugbox:~$ ls /etc/apt/sources.list.d/
brave-browser-release.list  bunsen.list  debian-buster-backports.list  keybase.list
horo@slugbox:~$ sudo apt-get update
Hit:1 http://prerelease.keybase.io/deb stable InRelease
Hit:3 https://brave-browser-apt-release.s3.brave.com stable InRelease                                                                                       
Hit:4 https://deb.debian.org/debian buster InRelease                                                                         
Hit:5 https://deb.debian.org/debian-security buster/updates InRelease
Get:6 https://deb.debian.org/debian buster-updates InRelease [51.9 kB]
Get:7 https://deb.debian.org/debian buster-backports InRelease [46.7 kB]
Hit:2 http://eu.pkg.bunsenlabs.org/debian lithium InRelease
Fetched 98.6 kB in 2s (56.3 kB/s)
Reading package lists... Done
horo@slugbox:~$ sudo apt-get install nodejs npm

It installed with no errors-

The following additional packages will be installed:
  gyp libjs-inherits libjs-is-typedarray node-abbrev node-ajv node-ansi node-ansi-align node-ansi-regex node-ansi-styles node-ansistyles node-aproba
  node-archy node-are-we-there-yet node-asn1 node-assert-plus node-asynckit node-aws-sign2 node-aws4 node-balanced-match node-bcrypt-pbkdf node-bluebird
  node-boxen node-brace-expansion node-builtin-modules node-builtins node-cacache node-call-limit node-camelcase node-caseless node-chalk node-chownr
  node-cli-boxes node-cliui node-clone node-co node-color-convert node-color-name node-combined-stream node-concat-map node-concat-stream node-config-chain
  node-console-control-strings node-copy-concurrently node-core-util-is node-cross-spawn node-cyclist node-dashdash node-decamelize
  node-decompress-response node-deep-extend node-defaults node-delayed-stream node-delegates node-detect-indent node-detect-newline node-duplexer3
  node-duplexify node-ecc-jsbn node-editor node-encoding node-end-of-stream node-errno node-escape-string-regexp node-execa node-extend node-extsprintf
  node-find-up node-flush-write-stream node-forever-agent node-form-data node-from2 node-fs-vacuum node-fs-write-stream-atomic node-fs.realpath node-gauge
  node-get-caller-file node-get-stream node-getpass node-glob node-got node-graceful-fs node-gyp node-har-schema node-har-validator node-has-flag
  node-has-symbol-support-x node-has-to-string-tag-x node-has-unicode node-hosted-git-info node-http-signature node-iconv-lite node-iferr node-import-lazy
  node-imurmurhash node-inflight node-inherits node-ini node-invert-kv node-is-builtin-module node-is-npm node-is-object node-is-plain-obj
  node-is-retry-allowed node-is-stream node-is-typedarray node-isarray node-isexe node-isstream node-isurl node-jsbn node-json-parse-better-errors
  node-json-schema node-json-stable-stringify node-json-stringify-safe node-jsonify node-jsonparse node-jsonstream node-jsprim node-latest-version
  node-lazy-property node-lcid node-libnpx node-locate-path node-lockfile node-lowercase-keys node-lru-cache node-mem node-mime-types node-mimic-fn
  node-mimic-response node-minimatch node-minimist node-mississippi node-mkdirp node-move-concurrently node-mute-stream node-node-uuid node-nopt
  node-normalize-package-data node-npm-package-arg node-npm-run-path node-npmlog node-oauth-sign node-object-assign node-once node-opener node-os-locale
  node-osenv node-p-cancelable node-p-finally node-p-limit node-p-locate node-p-timeout node-package-json node-parallel-transform node-path-exists
  node-path-is-absolute node-path-is-inside node-performance-now node-prepend-http node-process-nextick-args node-promise-inflight node-promzard
  node-proto-list node-prr node-pump node-pumpify node-punycode node-qs node-qw node-rc node-read node-read-package-json node-readable-stream
  node-registry-auth-token node-registry-url node-request node-require-directory node-require-main-filename node-resolve-from node-retry node-rimraf
  node-run-queue node-safe-buffer node-semver node-semver-diff node-set-blocking node-sha node-shebang-command node-shebang-regex node-signal-exit
  node-slash node-slide node-sorted-object node-spdx-correct node-spdx-expression-parse node-spdx-license-ids node-sshpk node-ssri node-stream-each
  node-stream-iterate node-stream-shift node-string-decoder node-string-width node-strip-ansi node-strip-eof node-strip-json-comments node-supports-color
  node-tar node-term-size node-text-table node-through node-through2 node-timed-out node-tough-cookie node-tunnel-agent node-tweetnacl node-typedarray
  node-uid-number node-unique-filename node-unpipe node-url-parse-lax node-url-to-options node-util-deprecate node-uuid node-validate-npm-package-license
  node-validate-npm-package-name node-verror node-wcwidth.js node-which node-which-module node-wide-align node-widest-line node-wrap-ansi node-wrappy
  node-write-file-atomic node-xdg-basedir node-xtend node-y18n node-yallist node-yargs node-yargs-parser nodejs-doc
The following NEW packages will be installed:
  gyp libjs-inherits libjs-is-typedarray node-abbrev node-ajv node-ansi node-ansi-align node-ansi-regex node-ansi-styles node-ansistyles node-aproba
  node-archy node-are-we-there-yet node-asn1 node-assert-plus node-asynckit node-aws-sign2 node-aws4 node-balanced-match node-bcrypt-pbkdf node-bluebird
  node-boxen node-brace-expansion node-builtin-modules node-builtins node-cacache node-call-limit node-camelcase node-caseless node-chalk node-chownr
  node-cli-boxes node-cliui node-clone node-co node-color-convert node-color-name node-combined-stream node-concat-map node-concat-stream node-config-chain
  node-console-control-strings node-copy-concurrently node-core-util-is node-cross-spawn node-cyclist node-dashdash node-decamelize
  node-decompress-response node-deep-extend node-defaults node-delayed-stream node-delegates node-detect-indent node-detect-newline node-duplexer3
  node-duplexify node-ecc-jsbn node-editor node-encoding node-end-of-stream node-errno node-escape-string-regexp node-execa node-extend node-extsprintf
  node-find-up node-flush-write-stream node-forever-agent node-form-data node-from2 node-fs-vacuum node-fs-write-stream-atomic node-fs.realpath node-gauge
  node-get-caller-file node-get-stream node-getpass node-glob node-got node-graceful-fs node-gyp node-har-schema node-har-validator node-has-flag
  node-has-symbol-support-x node-has-to-string-tag-x node-has-unicode node-hosted-git-info node-http-signature node-iconv-lite node-iferr node-import-lazy
  node-imurmurhash node-inflight node-inherits node-ini node-invert-kv node-is-builtin-module node-is-npm node-is-object node-is-plain-obj
  node-is-retry-allowed node-is-stream node-is-typedarray node-isarray node-isexe node-isstream node-isurl node-jsbn node-json-parse-better-errors
  node-json-schema node-json-stable-stringify node-json-stringify-safe node-jsonify node-jsonparse node-jsonstream node-jsprim node-latest-version
  node-lazy-property node-lcid node-libnpx node-locate-path node-lockfile node-lowercase-keys node-lru-cache node-mem node-mime-types node-mimic-fn
  node-mimic-response node-minimatch node-minimist node-mississippi node-mkdirp node-move-concurrently node-mute-stream node-node-uuid node-nopt
  node-normalize-package-data node-npm-package-arg node-npm-run-path node-npmlog node-oauth-sign node-object-assign node-once node-opener node-os-locale
  node-osenv node-p-cancelable node-p-finally node-p-limit node-p-locate node-p-timeout node-package-json node-parallel-transform node-path-exists
  node-path-is-absolute node-path-is-inside node-performance-now node-prepend-http node-process-nextick-args node-promise-inflight node-promzard
  node-proto-list node-prr node-pump node-pumpify node-punycode node-qs node-qw node-rc node-read node-read-package-json node-readable-stream
  node-registry-auth-token node-registry-url node-request node-require-directory node-require-main-filename node-resolve-from node-retry node-rimraf
  node-run-queue node-safe-buffer node-semver node-semver-diff node-set-blocking node-sha node-shebang-command node-shebang-regex node-signal-exit
  node-slash node-slide node-sorted-object node-spdx-correct node-spdx-expression-parse node-spdx-license-ids node-sshpk node-ssri node-stream-each
  node-stream-iterate node-stream-shift node-string-decoder node-string-width node-strip-ansi node-strip-eof node-strip-json-comments node-supports-color
  node-tar node-term-size node-text-table node-through node-through2 node-timed-out node-tough-cookie node-tunnel-agent node-tweetnacl node-typedarray
  node-uid-number node-unique-filename node-unpipe node-url-parse-lax node-url-to-options node-util-deprecate node-uuid node-validate-npm-package-license
  node-validate-npm-package-name node-verror node-wcwidth.js node-which node-which-module node-wide-align node-widest-line node-wrap-ansi node-wrappy
  node-write-file-atomic node-xdg-basedir node-xtend node-y18n node-yallist node-yargs node-yargs-parser nodejs nodejs-doc npm
0 upgraded, 245 newly installed, 0 to remove and 0 not upgraded.
Need to get 4,233 kB of archives.
After this operation, 25.6 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 https://deb.debian.org/debian buster/main amd64 gyp all 0.1+20180428git4d467626-3 [238 kB]
Get:2 https://deb.debian.org/debian buster/main amd64 libjs-inherits all 2.0.3-1 [2,762 B]
Get:3 https://deb.debian.org/debian buster/main amd64 libjs-is-typedarray all 1.0.0-2 [2,876 B]
Get:4 https://deb.debian.org/debian buster/main amd64 nodejs amd64 10.24.0~dfsg-1~deb10u1 [87.3 kB]
Get:5 https://deb.debian.org/debian buster/main amd64 node-abbrev all 1.1.1-1 [4,352 B]
Get:6 https://deb.debian.org/debian buster/main amd64 node-jsonify all 0.0.0-1 [5,408 B]
Get:7 https://deb.debian.org/debian buster/main amd64 node-json-stable-stringify all 1.0.1-1 [4,450 B]
Get:8 https://deb.debian.org/debian buster/main amd64 node-co all 4.6.0-1 [7,550 B]
Get:9 https://deb.debian.org/debian buster/main amd64 node-ajv all 5.0.0-1 [64.9 kB]
Get:10 https://deb.debian.org/debian buster/main amd64 node-ansi all 0.3.0-3 [9,068 B]
Get:11 https://deb.debian.org/debian buster/main amd64 node-clone all 2.1.2-1 [7,880 B]
Get:12 https://deb.debian.org/debian buster/main amd64 node-defaults all 1.0.3-1 [3,108 B]
Get:13 https://deb.debian.org/debian buster/main amd64 node-wcwidth.js all 1.0.0-1 [6,408 B]
Get:14 https://deb.debian.org/debian buster/main amd64 node-ansi-regex all 3.0.0-1 [3,658 B]
Get:15 https://deb.debian.org/debian buster/main amd64 node-strip-ansi all 4.0.0-1 [3,078 B]
Get:16 https://deb.debian.org/debian buster/main amd64 node-string-width all 2.1.1-1 [3,992 B]
Get:17 https://deb.debian.org/debian buster/main amd64 node-ansi-align all 2.0.0-1 [4,704 B]
Get:18 https://deb.debian.org/debian buster/main amd64 node-color-name all 1.1.3-1 [4,090 B]
Get:19 https://deb.debian.org/debian buster/main amd64 node-color-convert all 1.9.0-3 [10.1 kB]
Get:20 https://deb.debian.org/debian buster/main amd64 node-ansi-styles all 3.2.1-1 [5,684 B]
Get:21 https://deb.debian.org/debian buster/main amd64 node-ansistyles all 0.1.3-1 [4,026 B]
Get:22 https://deb.debian.org/debian buster/main amd64 node-aproba all 1.2.0-1 [5,008 B]
Get:23 https://deb.debian.org/debian buster/main amd64 node-archy all 1.0.0-2 [4,340 B]
Get:24 https://deb.debian.org/debian buster/main amd64 node-delegates all 1.0.0-1 [3,864 B]
Get:25 https://deb.debian.org/debian buster/main amd64 node-are-we-there-yet all 1.1.4-1 [7,662 B]
Get:26 https://deb.debian.org/debian buster/main amd64 node-asn1 all 0.2.3-1 [6,880 B]
Get:27 https://deb.debian.org/debian buster/main amd64 node-assert-plus all 1.0.0-1 [6,162 B]
Get:28 https://deb.debian.org/debian buster/main amd64 node-asynckit all 0.4.0-2 [10.4 kB]
Get:29 https://deb.debian.org/debian buster/main amd64 node-aws-sign2 all 0.7.1-1 [3,716 B]
Get:30 https://deb.debian.org/debian buster/main amd64 node-aws4 all 1.8.0-1 [11.7 kB]
Get:31 https://deb.debian.org/debian buster/main amd64 node-balanced-match all 0.4.2-1 [3,982 B]
Get:32 https://deb.debian.org/debian buster/main amd64 node-tweetnacl all 0.14.5+dfsg-3 [21.1 kB]
Get:33 https://deb.debian.org/debian buster/main amd64 node-bcrypt-pbkdf all 1.0.1-1 [10.4 kB]
Get:34 https://deb.debian.org/debian buster/main amd64 node-bluebird all 3.5.1+dfsg2-2 [36.4 kB]
Get:35 https://deb.debian.org/debian buster/main amd64 node-camelcase all 5.0.0-1 [3,964 B]
Get:36 https://deb.debian.org/debian buster/main amd64 node-escape-string-regexp all 1.0.5-1 [3,218 B]
Get:37 https://deb.debian.org/debian buster/main amd64 node-has-flag all 2.0.0-1 [3,172 B]
Get:38 https://deb.debian.org/debian buster/main amd64 node-supports-color all 4.4.0-2 [4,742 B]
Get:39 https://deb.debian.org/debian buster/main amd64 node-chalk all 2.3.0-2 [11.2 kB]
Get:40 https://deb.debian.org/debian buster/main amd64 node-cli-boxes all 1.0.0-1 [3,252 B]
Get:41 https://deb.debian.org/debian buster/main amd64 node-yallist all 3.0.3-1 [6,052 B]
Get:42 https://deb.debian.org/debian buster/main amd64 node-lru-cache all 5.1.1-4 [8,320 B]
Get:43 https://deb.debian.org/debian buster/main amd64 node-isexe all 2.0.0-4 [4,404 B]
Get:44 https://deb.debian.org/debian buster/main amd64 node-which all 1.3.0-2 [5,804 B]
Get:45 https://deb.debian.org/debian buster/main amd64 node-shebang-regex all 2.0.0-1 [2,742 B]
Get:46 https://deb.debian.org/debian buster/main amd64 node-shebang-command all 1.2.0-1 [2,900 B]
Get:47 https://deb.debian.org/debian buster/main amd64 node-cross-spawn all 5.1.0-2 [8,732 B]
Get:48 https://deb.debian.org/debian buster/main amd64 node-get-stream all 3.0.0-1 [4,724 B]
Get:49 https://deb.debian.org/debian buster/main amd64 node-is-stream all 1.1.0-1 [2,998 B]
Get:50 https://deb.debian.org/debian buster/main amd64 node-npm-run-path all 2.0.2-2 [4,412 B]
Get:51 https://deb.debian.org/debian buster/main amd64 node-p-finally all 1.0.0-2 [3,230 B]
Get:52 https://deb.debian.org/debian buster/main amd64 node-signal-exit all 3.0.2-1 [5,648 B]
Get:53 https://deb.debian.org/debian buster/main amd64 node-strip-eof all 1.0.0-2 [3,010 B]
Get:54 https://deb.debian.org/debian buster/main amd64 node-execa all 0.10.0+dfsg-1 [8,936 B]
Get:55 https://deb.debian.org/debian buster/main amd64 node-term-size all 1.2.0+dfsg-2 [3,944 B]
Get:56 https://deb.debian.org/debian buster/main amd64 node-widest-line all 1.2.2-1 [3,360 B]
Get:57 https://deb.debian.org/debian buster/main amd64 node-boxen all 1.2.2-1 [4,764 B]
Get:58 https://deb.debian.org/debian buster/main amd64 node-concat-map all 0.0.1-1 [3,462 B]
Get:59 https://deb.debian.org/debian buster/main amd64 node-brace-expansion all 1.1.8-1 [5,798 B]
Get:60 https://deb.debian.org/debian buster/main amd64 node-builtin-modules all 3.0.0-1 [3,780 B]
Get:61 https://deb.debian.org/debian buster/main amd64 node-builtins all 1.0.3-1 [2,970 B]
Get:62 https://deb.debian.org/debian buster/main amd64 node-chownr all 1.1.1-1 [3,432 B]
Get:63 https://deb.debian.org/debian buster/main amd64 node-minimatch all 3.0.4-3 [13.4 kB]
Get:64 https://deb.debian.org/debian buster/main amd64 node-inherits all 2.0.3-1 [3,744 B]
Get:65 https://deb.debian.org/debian buster/main amd64 node-wrappy all 1.0.2-1 [3,114 B]
Get:66 https://deb.debian.org/debian buster/main amd64 node-once all 1.4.0-3 [4,344 B]
Get:67 https://deb.debian.org/debian buster/main amd64 node-fs.realpath all 1.0.0-1 [5,522 B]
Get:68 https://deb.debian.org/debian buster/main amd64 node-inflight all 1.0.6-1 [3,334 B]
Get:69 https://deb.debian.org/debian buster/main amd64 node-path-is-absolute all 1.0.0-1 [3,266 B]
Get:70 https://deb.debian.org/debian buster/main amd64 node-glob all 7.1.3-2 [19.1 kB]
Get:71 https://deb.debian.org/debian buster/main amd64 node-graceful-fs all 4.1.11-1 [10.8 kB]
Get:72 https://deb.debian.org/debian buster/main amd64 node-typedarray all 0.0.6-1 [8,202 B]
Get:73 https://deb.debian.org/debian buster/main amd64 node-concat-stream all 1.6.2-1 [5,644 B]
Get:74 https://deb.debian.org/debian buster/main amd64 node-end-of-stream all 1.4.1-1 [3,980 B]
Get:75 https://deb.debian.org/debian buster/main amd64 node-core-util-is all 1.0.2-1 [3,410 B]
Get:76 https://deb.debian.org/debian buster/main amd64 node-safe-buffer all 5.1.2-1 [12.2 kB]
Get:77 https://deb.debian.org/debian buster/main amd64 node-string-decoder all 1.2.0-1 [6,432 B]
Get:78 https://deb.debian.org/debian buster/main amd64 node-process-nextick-args all 2.0.0-1 [3,388 B]
Get:79 https://deb.debian.org/debian buster/main amd64 node-util-deprecate all 1.0.2-1 [3,866 B]
Get:80 https://deb.debian.org/debian buster/main amd64 node-isarray all 2.0.4-1 [3,768 B]
Get:81 https://deb.debian.org/debian buster/main amd64 node-readable-stream all 2.3.6-1 [21.6 kB]
Get:82 https://deb.debian.org/debian buster/main amd64 node-stream-shift all 1.0.0-1 [2,850 B]
Get:83 https://deb.debian.org/debian buster/main amd64 node-duplexify all 3.6.1-1 [5,492 B]
Get:84 https://deb.debian.org/debian buster/main amd64 node-flush-write-stream all 1.0.3-1 [3,984 B]
Get:85 https://deb.debian.org/debian buster/main amd64 node-from2 all 2.3.0-1 [4,338 B]
Get:86 https://deb.debian.org/debian buster/main amd64 node-cyclist all 1.0.1-2 [3,612 B]
Get:87 https://deb.debian.org/debian buster/main amd64 node-parallel-transform all 1.1.0-2 [4,136 B]
Get:88 https://deb.debian.org/debian buster/main amd64 node-pump all 3.0.0-1 [4,936 B]
Get:89 https://deb.debian.org/debian buster/main amd64 node-pumpify all 1.5.1-1 [4,316 B]
Get:90 https://deb.debian.org/debian buster/main amd64 node-stream-each all 1.2.2-2 [3,808 B]
Get:91 https://deb.debian.org/debian buster/main amd64 node-xtend all 4.0.1-2 [3,560 B]
Get:92 https://deb.debian.org/debian buster/main amd64 node-through2 all 2.0.5-2 [6,524 B]
Get:93 https://deb.debian.org/debian buster/main amd64 node-mississippi all 3.0.0-1 [8,108 B]
Get:94 https://deb.debian.org/debian buster/main amd64 node-mkdirp all 0.5.1-1 [4,708 B]
Get:95 https://deb.debian.org/debian buster/main amd64 node-run-queue all 1.0.3-1 [4,416 B]
Get:96 https://deb.debian.org/debian buster/main amd64 node-rimraf all 2.6.2-1 [8,112 B]
Get:97 https://deb.debian.org/debian buster/main amd64 node-imurmurhash all 0.1.4-1 [8,154 B]
Get:98 https://deb.debian.org/debian buster/main amd64 node-iferr all 1.0.2-1 [3,496 B]
Get:99 https://deb.debian.org/debian buster/main amd64 node-fs-write-stream-atomic all 1.0.10-4 [4,820 B]
Get:100 https://deb.debian.org/debian buster/main amd64 node-copy-concurrently all 1.0.5-4 [6,516 B]
Get:101 https://deb.debian.org/debian buster/main amd64 node-move-concurrently all 1.0.1-2 [4,644 B]
Get:102 https://deb.debian.org/debian buster/main amd64 node-promise-inflight all 1.0.1-1 [3,104 B]
Get:103 https://deb.debian.org/debian buster/main amd64 node-ssri all 5.2.4-2 [14.1 kB]
Get:104 https://deb.debian.org/debian buster/main amd64 node-unique-filename all 1.1.0+ds-2 [4,416 B]
Get:105 https://deb.debian.org/debian buster/main amd64 node-y18n all 3.2.1-2+deb10u1 [4,924 B]
Get:106 https://deb.debian.org/debian buster/main amd64 node-cacache all 11.3.2-2 [29.5 kB]
Get:107 https://deb.debian.org/debian buster/main amd64 node-call-limit all 1.1.0-1 [3,576 B]
Get:108 https://deb.debian.org/debian buster/main amd64 node-caseless all 0.12.0-1 [3,334 B]
Get:109 https://deb.debian.org/debian buster/main amd64 node-wrap-ansi all 4.0.0-1 [5,444 B]
Get:110 https://deb.debian.org/debian buster/main amd64 node-cliui all 4.1.0-1 [7,832 B]
Get:111 https://deb.debian.org/debian buster/main amd64 node-delayed-stream all 0.0.5-1 [4,482 B]
Get:112 https://deb.debian.org/debian buster/main amd64 node-combined-stream all 1.0.7-1 [6,024 B]
Get:113 https://deb.debian.org/debian buster/main amd64 node-proto-list all 1.2.4-1 [3,046 B]
Get:114 https://deb.debian.org/debian buster/main amd64 node-ini all 1.3.5-1+deb10u1 [5,924 B]
Get:115 https://deb.debian.org/debian buster/main amd64 node-config-chain all 1.1.11-1 [7,612 B]
Get:116 https://deb.debian.org/debian buster/main amd64 node-console-control-strings all 1.1.0-1 [4,906 B]
Get:117 https://deb.debian.org/debian buster/main amd64 node-dashdash all 1.14.1-2 [22.2 kB]
Get:118 https://deb.debian.org/debian buster/main amd64 node-decamelize all 1.2.0-1 [3,044 B]
Get:119 https://deb.debian.org/debian buster/main amd64 node-mimic-response all 1.0.0-1 [3,302 B]
Get:120 https://deb.debian.org/debian buster/main amd64 node-decompress-response all 3.3.0-1 [3,262 B]
Get:121 https://deb.debian.org/debian buster/main amd64 node-deep-extend all 0.4.1-2 [5,000 B]
Get:122 https://deb.debian.org/debian buster/main amd64 node-detect-indent all 5.0.0-1 [4,392 B]
Get:123 https://deb.debian.org/debian buster/main amd64 node-detect-newline all 2.1.0-1 [2,972 B]
Get:124 https://deb.debian.org/debian buster/main amd64 node-duplexer3 all 0.1.4-4 [4,844 B]
Get:125 https://deb.debian.org/debian buster/main amd64 node-jsbn all 1.1.0-1 [13.5 kB]
Get:126 https://deb.debian.org/debian buster/main amd64 node-ecc-jsbn all 0.1.1-1 [8,832 B]
Get:127 https://deb.debian.org/debian buster/main amd64 node-editor all 1.0.0-1 [3,296 B]
Get:128 https://deb.debian.org/debian buster/main amd64 node-iconv-lite all 0.4.13-2 [122 kB]
Get:129 https://deb.debian.org/debian buster/main amd64 node-encoding all 0.1.12-2 [4,262 B]
Get:130 https://deb.debian.org/debian buster/main amd64 node-prr all 1.0.1-1 [3,682 B]
Get:131 https://deb.debian.org/debian buster/main amd64 node-errno all 0.1.4-1 [6,572 B]
Get:132 https://deb.debian.org/debian buster/main amd64 node-extend all 3.0.2-1 [6,744 B]
Get:133 https://deb.debian.org/debian buster/main amd64 node-extsprintf all 1.3.0-1 [4,452 B]
Get:134 https://deb.debian.org/debian buster/main amd64 node-p-limit all 1.1.0-1 [3,382 B]
Get:135 https://deb.debian.org/debian buster/main amd64 node-p-locate all 2.0.0-1 [3,986 B]
Get:136 https://deb.debian.org/debian buster/main amd64 node-path-exists all 3.0.0-1 [3,154 B]
Get:137 https://deb.debian.org/debian buster/main amd64 node-locate-path all 2.0.0-1 [3,816 B]
Get:138 https://deb.debian.org/debian buster/main amd64 node-find-up all 2.1.0-1 [3,652 B]
Get:139 https://deb.debian.org/debian buster/main amd64 node-forever-agent all 0.6.1-1 [3,536 B]
Get:140 https://deb.debian.org/debian buster/main amd64 node-mime-types all 2.1.21-1 [16.5 kB]
Get:141 https://deb.debian.org/debian buster/main amd64 node-form-data all 2.3.2-2 [10.0 kB]
Get:142 https://deb.debian.org/debian buster/main amd64 node-path-is-inside all 1.0.2-1 [3,940 B]
Get:143 https://deb.debian.org/debian buster/main amd64 node-fs-vacuum all 1.2.10-2 [4,232 B]
Get:144 https://deb.debian.org/debian buster/main amd64 node-object-assign all 4.1.1-2 [4,336 B]
Get:145 https://deb.debian.org/debian buster/main amd64 node-has-unicode all 2.0.1-2 [3,442 B]
Get:146 https://deb.debian.org/debian buster/main amd64 node-wide-align all 1.1.0-1 [3,438 B]
Get:147 https://deb.debian.org/debian buster/main amd64 node-gauge all 2.7.4-1 [25.1 kB]
Get:148 https://deb.debian.org/debian buster/main amd64 node-get-caller-file all 1.0.2-1 [2,814 B]
Get:149 https://deb.debian.org/debian buster/main amd64 node-getpass all 0.1.7-1 [4,142 B]
Get:150 https://deb.debian.org/debian buster/main amd64 node-is-retry-allowed all 1.1.0-1 [3,296 B]
Get:151 https://deb.debian.org/debian buster/main amd64 node-p-cancelable all 0.3.0-1 [4,322 B]
Get:152 https://deb.debian.org/debian buster/main amd64 node-p-timeout all 1.2.0-1 [3,642 B]
Get:153 https://deb.debian.org/debian buster/main amd64 node-is-plain-obj all 1.1.0-1 [2,918 B]
Get:154 https://deb.debian.org/debian buster/main amd64 node-url-to-options all 1.0.1-1 [3,152 B]
Get:155 https://deb.debian.org/debian buster/main amd64 node-timed-out all 4.0.1-4 [3,972 B]
Get:156 https://deb.debian.org/debian buster/main amd64 node-lowercase-keys all 1.0.0-2 [3,108 B]
Get:157 https://deb.debian.org/debian buster/main amd64 node-is-object all 1.0.1-1 [3,288 B]
Get:158 https://deb.debian.org/debian buster/main amd64 node-has-symbol-support-x all 1.4.1+dfsg-1 [3,948 B]
Get:159 https://deb.debian.org/debian buster/main amd64 node-has-to-string-tag-x all 1.4.1+dfsg-1 [4,066 B]
Get:160 https://deb.debian.org/debian buster/main amd64 node-isurl all 1.0.0-1 [3,598 B]
Get:161 https://deb.debian.org/debian buster/main amd64 node-prepend-http all 2.0.0-1 [3,292 B]
Get:162 https://deb.debian.org/debian buster/main amd64 node-url-parse-lax all 1.0.0-1 [3,222 B]
Get:163 https://deb.debian.org/debian buster/main amd64 node-got all 7.1.0-1 [11.7 kB]
Get:164 https://deb.debian.org/debian buster/main amd64 node-nopt all 3.0.6-3 [9,538 B]
Get:165 https://deb.debian.org/debian buster/main amd64 node-set-blocking all 2.0.0-1 [3,806 B]
Get:166 https://deb.debian.org/debian buster/main amd64 node-npmlog all 4.1.2-1 [8,592 B]
Get:167 https://deb.debian.org/debian buster/main amd64 node-osenv all 0.1.5-1 [4,332 B]
Get:168 https://deb.debian.org/debian buster/main amd64 node-har-schema all 2.0.0-1 [5,254 B]
Get:169 https://deb.debian.org/debian buster/main amd64 node-har-validator all 5.1.0-1 [4,548 B]
Get:170 https://deb.debian.org/debian buster/main amd64 node-json-schema all 0.2.3-1 [6,996 B]
Get:171 https://deb.debian.org/debian buster/main amd64 node-verror all 1.10.0-1 [13.9 kB]
Get:172 https://deb.debian.org/debian buster/main amd64 node-jsprim all 1.4.0-1 [13.2 kB]
Get:173 https://deb.debian.org/debian buster/main amd64 node-sshpk all 1.13.1+dfsg-2 [44.4 kB]
Get:174 https://deb.debian.org/debian buster/main amd64 node-http-signature all 1.2.0-1 [11.1 kB]
Get:175 https://deb.debian.org/debian buster/main amd64 node-is-typedarray all 1.0.0-2 [2,422 B]
Get:176 https://deb.debian.org/debian buster/main amd64 node-isstream all 0.1.2+dfsg-1 [3,546 B]
Get:177 https://deb.debian.org/debian buster/main amd64 node-json-stringify-safe all 5.0.1-1 [4,124 B]
Get:178 https://deb.debian.org/debian buster/main amd64 node-oauth-sign all 0.9.0-1 [3,676 B]
Get:179 https://deb.debian.org/debian buster/main amd64 node-performance-now all 2.1.0+debian-1 [4,442 B]
Get:180 https://deb.debian.org/debian buster/main amd64 node-qs all 6.5.2-1 [16.4 kB]
Get:181 https://deb.debian.org/debian buster/main amd64 node-punycode all 2.1.1-2 [9,404 B]
Get:182 https://deb.debian.org/debian buster/main amd64 node-tough-cookie all 2.3.4+dfsg-1 [56.1 kB]
Get:183 https://deb.debian.org/debian buster/main amd64 node-tunnel-agent all 0.6.1-1 [4,288 B]
Get:184 https://deb.debian.org/debian buster/main amd64 node-uuid all 3.3.2-2 [18.2 kB]
Get:185 https://deb.debian.org/debian buster/main amd64 node-node-uuid all 3.3.2-2 [5,744 B]
Get:186 https://deb.debian.org/debian buster/main amd64 node-request all 2.88.1-2 [53.8 kB]
Get:187 https://deb.debian.org/debian buster/main amd64 node-semver all 5.5.1-1 [23.9 kB]
Get:188 https://deb.debian.org/debian buster/main amd64 node-tar all 4.4.6+ds1-3 [31.8 kB]
Get:189 https://deb.debian.org/debian buster/main amd64 node-gyp all 3.8.0-6 [36.9 kB]
Get:190 https://deb.debian.org/debian buster/main amd64 node-hosted-git-info all 2.7.1-1 [8,288 B]
Get:191 https://deb.debian.org/debian buster/main amd64 node-import-lazy all 3.0.0.REALLY.2.1.0-1 [4,000 B]
Get:192 https://deb.debian.org/debian buster/main amd64 node-invert-kv all 1.0.0-1 [2,862 B]
Get:193 https://deb.debian.org/debian buster/main amd64 node-is-builtin-module all 2.0.0-1 [3,156 B]
Get:194 https://deb.debian.org/debian buster/main amd64 node-is-npm all 1.0.0-1 [2,836 B]
Get:195 https://deb.debian.org/debian buster/main amd64 node-json-parse-better-errors all 1.0.2-2 [5,080 B]
Get:196 https://deb.debian.org/debian buster/main amd64 node-jsonparse all 1.3.1-6 [7,012 B]
Get:197 https://deb.debian.org/debian buster/main amd64 node-through all 2.3.8-1 [4,182 B]
Get:198 https://deb.debian.org/debian buster/main amd64 node-jsonstream all 1.3.2-1 [8,092 B]
Get:199 https://deb.debian.org/debian buster/main amd64 node-minimist all 1.2.0-1+deb10u1 [5,856 B]
Get:200 https://deb.debian.org/debian buster/main amd64 node-strip-json-comments all 2.0.1-2 [4,016 B]
Get:201 https://deb.debian.org/debian buster/main amd64 node-rc all 1.1.6-2 [6,058 B]
Get:202 https://deb.debian.org/debian buster/main amd64 node-registry-url all 3.1.0-1 [3,172 B]
Get:203 https://deb.debian.org/debian buster/main amd64 node-registry-auth-token all 3.3.1-1 [5,642 B]
Get:204 https://deb.debian.org/debian buster/main amd64 node-package-json all 4.0.1-1 [4,180 B]
Get:205 https://deb.debian.org/debian buster/main amd64 node-latest-version all 3.1.0-1 [3,128 B]
Get:206 https://deb.debian.org/debian buster/main amd64 node-lazy-property all 1.0.0-3 [3,556 B]
Get:207 https://deb.debian.org/debian buster/main amd64 node-lcid all 1.0.0-1 [4,232 B]
Get:208 https://deb.debian.org/debian buster/main amd64 node-validate-npm-package-name all 3.0.0-1 [4,432 B]
Get:209 https://deb.debian.org/debian buster/main amd64 node-npm-package-arg all 6.0.0-2 [6,752 B]
Get:210 https://deb.debian.org/debian buster/main amd64 node-require-directory all 2.1.1-1 [5,364 B]
Get:211 https://deb.debian.org/debian buster/main amd64 node-require-main-filename all 1.0.1-1 [3,152 B]
Get:212 https://deb.debian.org/debian buster/main amd64 node-which-module all 2.0.0-1 [3,792 B]
Get:213 https://deb.debian.org/debian buster/main amd64 node-mimic-fn all 1.1.0-1 [3,070 B]
Get:214 https://deb.debian.org/debian buster/main amd64 node-mem all 1.1.0-1 [4,076 B]
Get:215 https://deb.debian.org/debian buster/main amd64 node-os-locale all 2.0.0-1 [3,702 B]
Get:216 https://deb.debian.org/debian buster/main amd64 node-yargs-parser all 11.1.1-1+deb10u1 [16.7 kB]
Get:217 https://deb.debian.org/debian buster/main amd64 node-yargs all 10.0.3-2 [57.1 kB]
Get:218 https://deb.debian.org/debian buster/main amd64 node-libnpx all 10.2.0+repack-1 [41.8 kB]
Get:219 https://deb.debian.org/debian buster/main amd64 node-lockfile all 1.0.4-1 [7,272 B]
Get:220 https://deb.debian.org/debian buster/main amd64 node-mute-stream all 0.0.8-1 [4,608 B]
Get:221 https://deb.debian.org/debian buster/main amd64 node-spdx-license-ids all 1.2.2-1 [4,754 B]
Get:222 https://deb.debian.org/debian buster/main amd64 node-spdx-correct all 1.0.2-1 [3,678 B]
Get:223 https://deb.debian.org/debian buster/main amd64 node-spdx-expression-parse all 1.0.4-1 [12.1 kB]
Get:224 https://deb.debian.org/debian buster/main amd64 node-validate-npm-package-license all 3.0.1-1 [3,442 B]
Get:225 https://deb.debian.org/debian buster/main amd64 node-normalize-package-data all 2.4.0-1 [10.8 kB]
Get:226 https://deb.debian.org/debian buster/main amd64 node-opener all 1.4.3-1 [4,094 B]
Get:227 https://deb.debian.org/debian buster/main amd64 node-read all 1.0.7-1 [4,540 B]
Get:228 https://deb.debian.org/debian buster/main amd64 node-promzard all 0.3.0-1 [8,964 B]
Get:229 https://deb.debian.org/debian buster/main amd64 node-qw all 1.0.1-1 [3,080 B]
Get:230 https://deb.debian.org/debian buster/main amd64 node-slash all 1.0.0-1 [2,976 B]
Get:231 https://deb.debian.org/debian buster/main amd64 node-read-package-json all 2.0.13-1 [8,388 B]
Get:232 https://deb.debian.org/debian buster/main amd64 node-resolve-from all 4.0.0-1 [3,684 B]
Get:233 https://deb.debian.org/debian buster/main amd64 node-retry all 0.10.1-1 [7,980 B]
Get:234 https://deb.debian.org/debian buster/main amd64 node-semver-diff all 2.1.0-2 [3,356 B]
Get:235 https://deb.debian.org/debian buster/main amd64 node-sha all 2.0.1-1 [4,336 B]
Get:236 https://deb.debian.org/debian buster/main amd64 node-slide all 1.1.6-2 [6,292 B]
Get:237 https://deb.debian.org/debian buster/main amd64 node-sorted-object all 2.0.1-1 [3,686 B]
Get:238 https://deb.debian.org/debian buster/main amd64 node-stream-iterate all 1.2.0-4 [3,736 B]
Get:239 https://deb.debian.org/debian buster/main amd64 node-text-table all 0.2.0-2 [4,308 B]
Get:240 https://deb.debian.org/debian buster/main amd64 node-uid-number all 0.0.6-1 [3,068 B]
Get:241 https://deb.debian.org/debian buster/main amd64 node-unpipe all 1.0.0-1 [3,582 B]
Get:242 https://deb.debian.org/debian buster/main amd64 node-write-file-atomic all 2.3.0-1 [4,878 B]
Get:243 https://deb.debian.org/debian buster/main amd64 node-xdg-basedir all 3.0.0-1 [3,660 B]
Get:244 https://deb.debian.org/debian buster/main amd64 nodejs-doc all 10.24.0~dfsg-1~deb10u1 [974 kB]
Get:245 https://deb.debian.org/debian buster/main amd64 npm all 5.8.0+ds6-4+deb10u2 [1,017 kB]
Fetched 4,233 kB in 1s (3,575 kB/s)
Extracting templates from packages: 100%
Selecting previously unselected package gyp.
(Reading database ... 180027 files and directories currently installed.)
Preparing to unpack .../000-gyp_0.1+20180428git4d467626-3_all.deb ...
Unpacking gyp (0.1+20180428git4d467626-3) ...
Selecting previously unselected package libjs-inherits.
Preparing to unpack .../001-libjs-inherits_2.0.3-1_all.deb ...
Unpacking libjs-inherits (2.0.3-1) ...
Selecting previously unselected package libjs-is-typedarray.
Preparing to unpack .../002-libjs-is-typedarray_1.0.0-2_all.deb ...
Unpacking libjs-is-typedarray (1.0.0-2) ...
Selecting previously unselected package nodejs.
Preparing to unpack .../003-nodejs_10.24.0~dfsg-1~deb10u1_amd64.deb ...
Unpacking nodejs (10.24.0~dfsg-1~deb10u1) ...
Selecting previously unselected package node-abbrev.
Preparing to unpack .../004-node-abbrev_1.1.1-1_all.deb ...
Unpacking node-abbrev (1.1.1-1) ...
Selecting previously unselected package node-jsonify.
Preparing to unpack .../005-node-jsonify_0.0.0-1_all.deb ...
Unpacking node-jsonify (0.0.0-1) ...
Selecting previously unselected package node-json-stable-stringify.
Preparing to unpack .../006-node-json-stable-stringify_1.0.1-1_all.deb ...
Unpacking node-json-stable-stringify (1.0.1-1) ...
Selecting previously unselected package node-co.
Preparing to unpack .../007-node-co_4.6.0-1_all.deb ...
Unpacking node-co (4.6.0-1) ...
Selecting previously unselected package node-ajv.
Preparing to unpack .../008-node-ajv_5.0.0-1_all.deb ...
Unpacking node-ajv (5.0.0-1) ...
Selecting previously unselected package node-ansi.
Preparing to unpack .../009-node-ansi_0.3.0-3_all.deb ...
Unpacking node-ansi (0.3.0-3) ...
Selecting previously unselected package node-clone.
Preparing to unpack .../010-node-clone_2.1.2-1_all.deb ...
Unpacking node-clone (2.1.2-1) ...
Selecting previously unselected package node-defaults.
Preparing to unpack .../011-node-defaults_1.0.3-1_all.deb ...
Unpacking node-defaults (1.0.3-1) ...
Selecting previously unselected package node-wcwidth.js.
Preparing to unpack .../012-node-wcwidth.js_1.0.0-1_all.deb ...
Unpacking node-wcwidth.js (1.0.0-1) ...
Selecting previously unselected package node-ansi-regex.
Preparing to unpack .../013-node-ansi-regex_3.0.0-1_all.deb ...
Unpacking node-ansi-regex (3.0.0-1) ...
Selecting previously unselected package node-strip-ansi.
Preparing to unpack .../014-node-strip-ansi_4.0.0-1_all.deb ...
Unpacking node-strip-ansi (4.0.0-1) ...
Selecting previously unselected package node-string-width.
Preparing to unpack .../015-node-string-width_2.1.1-1_all.deb ...
Unpacking node-string-width (2.1.1-1) ...
Selecting previously unselected package node-ansi-align.
Preparing to unpack .../016-node-ansi-align_2.0.0-1_all.deb ...
Unpacking node-ansi-align (2.0.0-1) ...
Selecting previously unselected package node-color-name.
Preparing to unpack .../017-node-color-name_1.1.3-1_all.deb ...
Unpacking node-color-name (1.1.3-1) ...
Selecting previously unselected package node-color-convert.
Preparing to unpack .../018-node-color-convert_1.9.0-3_all.deb ...
Unpacking node-color-convert (1.9.0-3) ...
Selecting previously unselected package node-ansi-styles.
Preparing to unpack .../019-node-ansi-styles_3.2.1-1_all.deb ...
Unpacking node-ansi-styles (3.2.1-1) ...
Selecting previously unselected package node-ansistyles.
Preparing to unpack .../020-node-ansistyles_0.1.3-1_all.deb ...
Unpacking node-ansistyles (0.1.3-1) ...
Selecting previously unselected package node-aproba.
Preparing to unpack .../021-node-aproba_1.2.0-1_all.deb ...
Unpacking node-aproba (1.2.0-1) ...
Selecting previously unselected package node-archy.
Preparing to unpack .../022-node-archy_1.0.0-2_all.deb ...
Unpacking node-archy (1.0.0-2) ...
Selecting previously unselected package node-delegates.
Preparing to unpack .../023-node-delegates_1.0.0-1_all.deb ...
Unpacking node-delegates (1.0.0-1) ...
Selecting previously unselected package node-are-we-there-yet.
Preparing to unpack .../024-node-are-we-there-yet_1.1.4-1_all.deb ...
Unpacking node-are-we-there-yet (1.1.4-1) ...
Selecting previously unselected package node-asn1.
Preparing to unpack .../025-node-asn1_0.2.3-1_all.deb ...
Unpacking node-asn1 (0.2.3-1) ...
Selecting previously unselected package node-assert-plus.
Preparing to unpack .../026-node-assert-plus_1.0.0-1_all.deb ...
Unpacking node-assert-plus (1.0.0-1) ...
Selecting previously unselected package node-asynckit.
Preparing to unpack .../027-node-asynckit_0.4.0-2_all.deb ...
Unpacking node-asynckit (0.4.0-2) ...
Selecting previously unselected package node-aws-sign2.
Preparing to unpack .../028-node-aws-sign2_0.7.1-1_all.deb ...
Unpacking node-aws-sign2 (0.7.1-1) ...
Selecting previously unselected package node-aws4.
Preparing to unpack .../029-node-aws4_1.8.0-1_all.deb ...
Unpacking node-aws4 (1.8.0-1) ...
Selecting previously unselected package node-balanced-match.
Preparing to unpack .../030-node-balanced-match_0.4.2-1_all.deb ...
Unpacking node-balanced-match (0.4.2-1) ...
Selecting previously unselected package node-tweetnacl.
Preparing to unpack .../031-node-tweetnacl_0.14.5+dfsg-3_all.deb ...
Unpacking node-tweetnacl (0.14.5+dfsg-3) ...
Selecting previously unselected package node-bcrypt-pbkdf.
Preparing to unpack .../032-node-bcrypt-pbkdf_1.0.1-1_all.deb ...
Unpacking node-bcrypt-pbkdf (1.0.1-1) ...
Selecting previously unselected package node-bluebird.
Preparing to unpack .../033-node-bluebird_3.5.1+dfsg2-2_all.deb ...
Unpacking node-bluebird (3.5.1+dfsg2-2) ...
Selecting previously unselected package node-camelcase.
Preparing to unpack .../034-node-camelcase_5.0.0-1_all.deb ...
Unpacking node-camelcase (5.0.0-1) ...
Selecting previously unselected package node-escape-string-regexp.
Preparing to unpack .../035-node-escape-string-regexp_1.0.5-1_all.deb ...
Unpacking node-escape-string-regexp (1.0.5-1) ...
Selecting previously unselected package node-has-flag.
Preparing to unpack .../036-node-has-flag_2.0.0-1_all.deb ...
Unpacking node-has-flag (2.0.0-1) ...
Selecting previously unselected package node-supports-color.
Preparing to unpack .../037-node-supports-color_4.4.0-2_all.deb ...
Unpacking node-supports-color (4.4.0-2) ...
Selecting previously unselected package node-chalk.
Preparing to unpack .../038-node-chalk_2.3.0-2_all.deb ...
Unpacking node-chalk (2.3.0-2) ...
Selecting previously unselected package node-cli-boxes.
Preparing to unpack .../039-node-cli-boxes_1.0.0-1_all.deb ...
Unpacking node-cli-boxes (1.0.0-1) ...
Selecting previously unselected package node-yallist.
Preparing to unpack .../040-node-yallist_3.0.3-1_all.deb ...
Unpacking node-yallist (3.0.3-1) ...
Selecting previously unselected package node-lru-cache.
Preparing to unpack .../041-node-lru-cache_5.1.1-4_all.deb ...
Unpacking node-lru-cache (5.1.1-4) ...
Selecting previously unselected package node-isexe.
Preparing to unpack .../042-node-isexe_2.0.0-4_all.deb ...
Unpacking node-isexe (2.0.0-4) ...
Selecting previously unselected package node-which.
Preparing to unpack .../043-node-which_1.3.0-2_all.deb ...
Unpacking node-which (1.3.0-2) ...
Selecting previously unselected package node-shebang-regex.
Preparing to unpack .../044-node-shebang-regex_2.0.0-1_all.deb ...
Unpacking node-shebang-regex (2.0.0-1) ...
Selecting previously unselected package node-shebang-command.
Preparing to unpack .../045-node-shebang-command_1.2.0-1_all.deb ...
Unpacking node-shebang-command (1.2.0-1) ...
Selecting previously unselected package node-cross-spawn.
Preparing to unpack .../046-node-cross-spawn_5.1.0-2_all.deb ...
Unpacking node-cross-spawn (5.1.0-2) ...
Selecting previously unselected package node-get-stream.
Preparing to unpack .../047-node-get-stream_3.0.0-1_all.deb ...
Unpacking node-get-stream (3.0.0-1) ...
Selecting previously unselected package node-is-stream.
Preparing to unpack .../048-node-is-stream_1.1.0-1_all.deb ...
Unpacking node-is-stream (1.1.0-1) ...
Selecting previously unselected package node-npm-run-path.
Preparing to unpack .../049-node-npm-run-path_2.0.2-2_all.deb ...
Unpacking node-npm-run-path (2.0.2-2) ...
Selecting previously unselected package node-p-finally.
Preparing to unpack .../050-node-p-finally_1.0.0-2_all.deb ...
Unpacking node-p-finally (1.0.0-2) ...
Selecting previously unselected package node-signal-exit.
Preparing to unpack .../051-node-signal-exit_3.0.2-1_all.deb ...
Unpacking node-signal-exit (3.0.2-1) ...
Selecting previously unselected package node-strip-eof.
Preparing to unpack .../052-node-strip-eof_1.0.0-2_all.deb ...
Unpacking node-strip-eof (1.0.0-2) ...
Selecting previously unselected package node-execa.
Preparing to unpack .../053-node-execa_0.10.0+dfsg-1_all.deb ...
Unpacking node-execa (0.10.0+dfsg-1) ...
Selecting previously unselected package node-term-size.
Preparing to unpack .../054-node-term-size_1.2.0+dfsg-2_all.deb ...
Unpacking node-term-size (1.2.0+dfsg-2) ...
Selecting previously unselected package node-widest-line.
Preparing to unpack .../055-node-widest-line_1.2.2-1_all.deb ...
Unpacking node-widest-line (1.2.2-1) ...
Selecting previously unselected package node-boxen.
Preparing to unpack .../056-node-boxen_1.2.2-1_all.deb ...
Unpacking node-boxen (1.2.2-1) ...
Selecting previously unselected package node-concat-map.
Preparing to unpack .../057-node-concat-map_0.0.1-1_all.deb ...
Unpacking node-concat-map (0.0.1-1) ...
Selecting previously unselected package node-brace-expansion.
Preparing to unpack .../058-node-brace-expansion_1.1.8-1_all.deb ...
Unpacking node-brace-expansion (1.1.8-1) ...
Selecting previously unselected package node-builtin-modules.
Preparing to unpack .../059-node-builtin-modules_3.0.0-1_all.deb ...
Unpacking node-builtin-modules (3.0.0-1) ...
Selecting previously unselected package node-builtins.
Preparing to unpack .../060-node-builtins_1.0.3-1_all.deb ...
Unpacking node-builtins (1.0.3-1) ...
Selecting previously unselected package node-chownr.
Preparing to unpack .../061-node-chownr_1.1.1-1_all.deb ...
Unpacking node-chownr (1.1.1-1) ...
Selecting previously unselected package node-minimatch.
Preparing to unpack .../062-node-minimatch_3.0.4-3_all.deb ...
Unpacking node-minimatch (3.0.4-3) ...
Selecting previously unselected package node-inherits.
Preparing to unpack .../063-node-inherits_2.0.3-1_all.deb ...
Unpacking node-inherits (2.0.3-1) ...
Selecting previously unselected package node-wrappy.
Preparing to unpack .../064-node-wrappy_1.0.2-1_all.deb ...
Unpacking node-wrappy (1.0.2-1) ...
Selecting previously unselected package node-once.
Preparing to unpack .../065-node-once_1.4.0-3_all.deb ...
Unpacking node-once (1.4.0-3) ...
Selecting previously unselected package node-fs.realpath.
Preparing to unpack .../066-node-fs.realpath_1.0.0-1_all.deb ...
Unpacking node-fs.realpath (1.0.0-1) ...
Selecting previously unselected package node-inflight.
Preparing to unpack .../067-node-inflight_1.0.6-1_all.deb ...
Unpacking node-inflight (1.0.6-1) ...
Selecting previously unselected package node-path-is-absolute.
Preparing to unpack .../068-node-path-is-absolute_1.0.0-1_all.deb ...
Unpacking node-path-is-absolute (1.0.0-1) ...
Selecting previously unselected package node-glob.
Preparing to unpack .../069-node-glob_7.1.3-2_all.deb ...
Unpacking node-glob (7.1.3-2) ...
Selecting previously unselected package node-graceful-fs.
Preparing to unpack .../070-node-graceful-fs_4.1.11-1_all.deb ...
Unpacking node-graceful-fs (4.1.11-1) ...
Selecting previously unselected package node-typedarray.
Preparing to unpack .../071-node-typedarray_0.0.6-1_all.deb ...
Unpacking node-typedarray (0.0.6-1) ...
Selecting previously unselected package node-concat-stream.
Preparing to unpack .../072-node-concat-stream_1.6.2-1_all.deb ...
Unpacking node-concat-stream (1.6.2-1) ...
Selecting previously unselected package node-end-of-stream.
Preparing to unpack .../073-node-end-of-stream_1.4.1-1_all.deb ...
Unpacking node-end-of-stream (1.4.1-1) ...
Selecting previously unselected package node-core-util-is.
Preparing to unpack .../074-node-core-util-is_1.0.2-1_all.deb ...
Unpacking node-core-util-is (1.0.2-1) ...
Selecting previously unselected package node-safe-buffer.
Preparing to unpack .../075-node-safe-buffer_5.1.2-1_all.deb ...
Unpacking node-safe-buffer (5.1.2-1) ...
Selecting previously unselected package node-string-decoder.
Preparing to unpack .../076-node-string-decoder_1.2.0-1_all.deb ...
Unpacking node-string-decoder (1.2.0-1) ...
Selecting previously unselected package node-process-nextick-args.
Preparing to unpack .../077-node-process-nextick-args_2.0.0-1_all.deb ...
Unpacking node-process-nextick-args (2.0.0-1) ...
Selecting previously unselected package node-util-deprecate.
Preparing to unpack .../078-node-util-deprecate_1.0.2-1_all.deb ...
Unpacking node-util-deprecate (1.0.2-1) ...
Selecting previously unselected package node-isarray.
Preparing to unpack .../079-node-isarray_2.0.4-1_all.deb ...
Unpacking node-isarray (2.0.4-1) ...
Selecting previously unselected package node-readable-stream.
Preparing to unpack .../080-node-readable-stream_2.3.6-1_all.deb ...
Unpacking node-readable-stream (2.3.6-1) ...
Selecting previously unselected package node-stream-shift.
Preparing to unpack .../081-node-stream-shift_1.0.0-1_all.deb ...
Unpacking node-stream-shift (1.0.0-1) ...
Selecting previously unselected package node-duplexify.
Preparing to unpack .../082-node-duplexify_3.6.1-1_all.deb ...
Unpacking node-duplexify (3.6.1-1) ...
Selecting previously unselected package node-flush-write-stream.
Preparing to unpack .../083-node-flush-write-stream_1.0.3-1_all.deb ...
Unpacking node-flush-write-stream (1.0.3-1) ...
Selecting previously unselected package node-from2.
Preparing to unpack .../084-node-from2_2.3.0-1_all.deb ...
Unpacking node-from2 (2.3.0-1) ...
Selecting previously unselected package node-cyclist.
Preparing to unpack .../085-node-cyclist_1.0.1-2_all.deb ...
Unpacking node-cyclist (1.0.1-2) ...
Selecting previously unselected package node-parallel-transform.
Preparing to unpack .../086-node-parallel-transform_1.1.0-2_all.deb ...
Unpacking node-parallel-transform (1.1.0-2) ...
Selecting previously unselected package node-pump.
Preparing to unpack .../087-node-pump_3.0.0-1_all.deb ...
Unpacking node-pump (3.0.0-1) ...
Selecting previously unselected package node-pumpify.
Preparing to unpack .../088-node-pumpify_1.5.1-1_all.deb ...
Unpacking node-pumpify (1.5.1-1) ...
Selecting previously unselected package node-stream-each.
Preparing to unpack .../089-node-stream-each_1.2.2-2_all.deb ...
Unpacking node-stream-each (1.2.2-2) ...
Selecting previously unselected package node-xtend.
Preparing to unpack .../090-node-xtend_4.0.1-2_all.deb ...
Unpacking node-xtend (4.0.1-2) ...
Selecting previously unselected package node-through2.
Preparing to unpack .../091-node-through2_2.0.5-2_all.deb ...
Unpacking node-through2 (2.0.5-2) ...
Selecting previously unselected package node-mississippi.
Preparing to unpack .../092-node-mississippi_3.0.0-1_all.deb ...
Unpacking node-mississippi (3.0.0-1) ...
Selecting previously unselected package node-mkdirp.
Preparing to unpack .../093-node-mkdirp_0.5.1-1_all.deb ...
Unpacking node-mkdirp (0.5.1-1) ...
Selecting previously unselected package node-run-queue.
Preparing to unpack .../094-node-run-queue_1.0.3-1_all.deb ...
Unpacking node-run-queue (1.0.3-1) ...
Selecting previously unselected package node-rimraf.
Preparing to unpack .../095-node-rimraf_2.6.2-1_all.deb ...
Unpacking node-rimraf (2.6.2-1) ...
Selecting previously unselected package node-imurmurhash.
Preparing to unpack .../096-node-imurmurhash_0.1.4-1_all.deb ...
Unpacking node-imurmurhash (0.1.4-1) ...
Selecting previously unselected package node-iferr.
Preparing to unpack .../097-node-iferr_1.0.2-1_all.deb ...
Unpacking node-iferr (1.0.2-1) ...
Selecting previously unselected package node-fs-write-stream-atomic.
Preparing to unpack .../098-node-fs-write-stream-atomic_1.0.10-4_all.deb ...
Unpacking node-fs-write-stream-atomic (1.0.10-4) ...
Selecting previously unselected package node-copy-concurrently.
Preparing to unpack .../099-node-copy-concurrently_1.0.5-4_all.deb ...
Unpacking node-copy-concurrently (1.0.5-4) ...
Selecting previously unselected package node-move-concurrently.
Preparing to unpack .../100-node-move-concurrently_1.0.1-2_all.deb ...
Unpacking node-move-concurrently (1.0.1-2) ...
Selecting previously unselected package node-promise-inflight.
Preparing to unpack .../101-node-promise-inflight_1.0.1-1_all.deb ...
Unpacking node-promise-inflight (1.0.1-1) ...
Selecting previously unselected package node-ssri.
Preparing to unpack .../102-node-ssri_5.2.4-2_all.deb ...
Unpacking node-ssri (5.2.4-2) ...
Selecting previously unselected package node-unique-filename.
Preparing to unpack .../103-node-unique-filename_1.1.0+ds-2_all.deb ...
Unpacking node-unique-filename (1.1.0+ds-2) ...
Selecting previously unselected package node-y18n.
Preparing to unpack .../104-node-y18n_3.2.1-2+deb10u1_all.deb ...
Unpacking node-y18n (3.2.1-2+deb10u1) ...
Selecting previously unselected package node-cacache.
Preparing to unpack .../105-node-cacache_11.3.2-2_all.deb ...
Unpacking node-cacache (11.3.2-2) ...
Selecting previously unselected package node-call-limit.
Preparing to unpack .../106-node-call-limit_1.1.0-1_all.deb ...
Unpacking node-call-limit (1.1.0-1) ...
Selecting previously unselected package node-caseless.
Preparing to unpack .../107-node-caseless_0.12.0-1_all.deb ...
Unpacking node-caseless (0.12.0-1) ...
Selecting previously unselected package node-wrap-ansi.
Preparing to unpack .../108-node-wrap-ansi_4.0.0-1_all.deb ...
Unpacking node-wrap-ansi (4.0.0-1) ...
Selecting previously unselected package node-cliui.
Preparing to unpack .../109-node-cliui_4.1.0-1_all.deb ...
Unpacking node-cliui (4.1.0-1) ...
Selecting previously unselected package node-delayed-stream.
Preparing to unpack .../110-node-delayed-stream_0.0.5-1_all.deb ...
Unpacking node-delayed-stream (0.0.5-1) ...
Selecting previously unselected package node-combined-stream.
Preparing to unpack .../111-node-combined-stream_1.0.7-1_all.deb ...
Unpacking node-combined-stream (1.0.7-1) ...
Selecting previously unselected package node-proto-list.
Preparing to unpack .../112-node-proto-list_1.2.4-1_all.deb ...
Unpacking node-proto-list (1.2.4-1) ...
Selecting previously unselected package node-ini.
Preparing to unpack .../113-node-ini_1.3.5-1+deb10u1_all.deb ...
Unpacking node-ini (1.3.5-1+deb10u1) ...
Selecting previously unselected package node-config-chain.
Preparing to unpack .../114-node-config-chain_1.1.11-1_all.deb ...
Unpacking node-config-chain (1.1.11-1) ...
Selecting previously unselected package node-console-control-strings.
Preparing to unpack .../115-node-console-control-strings_1.1.0-1_all.deb ...
Unpacking node-console-control-strings (1.1.0-1) ...
Selecting previously unselected package node-dashdash.
Preparing to unpack .../116-node-dashdash_1.14.1-2_all.deb ...
Unpacking node-dashdash (1.14.1-2) ...
Selecting previously unselected package node-decamelize.
Preparing to unpack .../117-node-decamelize_1.2.0-1_all.deb ...
Unpacking node-decamelize (1.2.0-1) ...
Selecting previously unselected package node-mimic-response.
Preparing to unpack .../118-node-mimic-response_1.0.0-1_all.deb ...
Unpacking node-mimic-response (1.0.0-1) ...
Selecting previously unselected package node-decompress-response.
Preparing to unpack .../119-node-decompress-response_3.3.0-1_all.deb ...
Unpacking node-decompress-response (3.3.0-1) ...
Selecting previously unselected package node-deep-extend.
Preparing to unpack .../120-node-deep-extend_0.4.1-2_all.deb ...
Unpacking node-deep-extend (0.4.1-2) ...
Selecting previously unselected package node-detect-indent.
Preparing to unpack .../121-node-detect-indent_5.0.0-1_all.deb ...
Unpacking node-detect-indent (5.0.0-1) ...
Selecting previously unselected package node-detect-newline.
Preparing to unpack .../122-node-detect-newline_2.1.0-1_all.deb ...
Unpacking node-detect-newline (2.1.0-1) ...
Selecting previously unselected package node-duplexer3.
Preparing to unpack .../123-node-duplexer3_0.1.4-4_all.deb ...
Unpacking node-duplexer3 (0.1.4-4) ...
Selecting previously unselected package node-jsbn.
Preparing to unpack .../124-node-jsbn_1.1.0-1_all.deb ...
Unpacking node-jsbn (1.1.0-1) ...
Selecting previously unselected package node-ecc-jsbn.
Preparing to unpack .../125-node-ecc-jsbn_0.1.1-1_all.deb ...
Unpacking node-ecc-jsbn (0.1.1-1) ...
Selecting previously unselected package node-editor.
Preparing to unpack .../126-node-editor_1.0.0-1_all.deb ...
Unpacking node-editor (1.0.0-1) ...
Selecting previously unselected package node-iconv-lite.
Preparing to unpack .../127-node-iconv-lite_0.4.13-2_all.deb ...
Unpacking node-iconv-lite (0.4.13-2) ...
Selecting previously unselected package node-encoding.
Preparing to unpack .../128-node-encoding_0.1.12-2_all.deb ...
Unpacking node-encoding (0.1.12-2) ...
Selecting previously unselected package node-prr.
Preparing to unpack .../129-node-prr_1.0.1-1_all.deb ...
Unpacking node-prr (1.0.1-1) ...
Selecting previously unselected package node-errno.
Preparing to unpack .../130-node-errno_0.1.4-1_all.deb ...
Unpacking node-errno (0.1.4-1) ...
Selecting previously unselected package node-extend.
Preparing to unpack .../131-node-extend_3.0.2-1_all.deb ...
Unpacking node-extend (3.0.2-1) ...
Selecting previously unselected package node-extsprintf.
Preparing to unpack .../132-node-extsprintf_1.3.0-1_all.deb ...
Unpacking node-extsprintf (1.3.0-1) ...
Selecting previously unselected package node-p-limit.
Preparing to unpack .../133-node-p-limit_1.1.0-1_all.deb ...
Unpacking node-p-limit (1.1.0-1) ...
Selecting previously unselected package node-p-locate.
Preparing to unpack .../134-node-p-locate_2.0.0-1_all.deb ...
Unpacking node-p-locate (2.0.0-1) ...
Selecting previously unselected package node-path-exists.
Preparing to unpack .../135-node-path-exists_3.0.0-1_all.deb ...
Unpacking node-path-exists (3.0.0-1) ...
Selecting previously unselected package node-locate-path.
Preparing to unpack .../136-node-locate-path_2.0.0-1_all.deb ...
Unpacking node-locate-path (2.0.0-1) ...
Selecting previously unselected package node-find-up.
Preparing to unpack .../137-node-find-up_2.1.0-1_all.deb ...
Unpacking node-find-up (2.1.0-1) ...
Selecting previously unselected package node-forever-agent.
Preparing to unpack .../138-node-forever-agent_0.6.1-1_all.deb ...
Unpacking node-forever-agent (0.6.1-1) ...
Selecting previously unselected package node-mime-types.
Preparing to unpack .../139-node-mime-types_2.1.21-1_all.deb ...
Unpacking node-mime-types (2.1.21-1) ...
Selecting previously unselected package node-form-data.
Preparing to unpack .../140-node-form-data_2.3.2-2_all.deb ...
Unpacking node-form-data (2.3.2-2) ...
Selecting previously unselected package node-path-is-inside.
Preparing to unpack .../141-node-path-is-inside_1.0.2-1_all.deb ...
Unpacking node-path-is-inside (1.0.2-1) ...
Selecting previously unselected package node-fs-vacuum.
Preparing to unpack .../142-node-fs-vacuum_1.2.10-2_all.deb ...
Unpacking node-fs-vacuum (1.2.10-2) ...
Selecting previously unselected package node-object-assign.
Preparing to unpack .../143-node-object-assign_4.1.1-2_all.deb ...
Unpacking node-object-assign (4.1.1-2) ...
Selecting previously unselected package node-has-unicode.
Preparing to unpack .../144-node-has-unicode_2.0.1-2_all.deb ...
Unpacking node-has-unicode (2.0.1-2) ...
Selecting previously unselected package node-wide-align.
Preparing to unpack .../145-node-wide-align_1.1.0-1_all.deb ...
Unpacking node-wide-align (1.1.0-1) ...
Selecting previously unselected package node-gauge.
Preparing to unpack .../146-node-gauge_2.7.4-1_all.deb ...
Unpacking node-gauge (2.7.4-1) ...
Selecting previously unselected package node-get-caller-file.
Preparing to unpack .../147-node-get-caller-file_1.0.2-1_all.deb ...
Unpacking node-get-caller-file (1.0.2-1) ...
Selecting previously unselected package node-getpass.
Preparing to unpack .../148-node-getpass_0.1.7-1_all.deb ...
Unpacking node-getpass (0.1.7-1) ...
Selecting previously unselected package node-is-retry-allowed.
Preparing to unpack .../149-node-is-retry-allowed_1.1.0-1_all.deb ...
Unpacking node-is-retry-allowed (1.1.0-1) ...
Selecting previously unselected package node-p-cancelable.
Preparing to unpack .../150-node-p-cancelable_0.3.0-1_all.deb ...
Unpacking node-p-cancelable (0.3.0-1) ...
Selecting previously unselected package node-p-timeout.
Preparing to unpack .../151-node-p-timeout_1.2.0-1_all.deb ...
Unpacking node-p-timeout (1.2.0-1) ...
Selecting previously unselected package node-is-plain-obj.
Preparing to unpack .../152-node-is-plain-obj_1.1.0-1_all.deb ...
Unpacking node-is-plain-obj (1.1.0-1) ...
Selecting previously unselected package node-url-to-options.
Preparing to unpack .../153-node-url-to-options_1.0.1-1_all.deb ...
Unpacking node-url-to-options (1.0.1-1) ...
Selecting previously unselected package node-timed-out.
Preparing to unpack .../154-node-timed-out_4.0.1-4_all.deb ...
Unpacking node-timed-out (4.0.1-4) ...
Selecting previously unselected package node-lowercase-keys.
Preparing to unpack .../155-node-lowercase-keys_1.0.0-2_all.deb ...
Unpacking node-lowercase-keys (1.0.0-2) ...
Selecting previously unselected package node-is-object.
Preparing to unpack .../156-node-is-object_1.0.1-1_all.deb ...
Unpacking node-is-object (1.0.1-1) ...
Selecting previously unselected package node-has-symbol-support-x.
Preparing to unpack .../157-node-has-symbol-support-x_1.4.1+dfsg-1_all.deb ...
Unpacking node-has-symbol-support-x (1.4.1+dfsg-1) ...
Selecting previously unselected package node-has-to-string-tag-x.
Preparing to unpack .../158-node-has-to-string-tag-x_1.4.1+dfsg-1_all.deb ...
Unpacking node-has-to-string-tag-x (1.4.1+dfsg-1) ...
Selecting previously unselected package node-isurl.
Preparing to unpack .../159-node-isurl_1.0.0-1_all.deb ...
Unpacking node-isurl (1.0.0-1) ...
Selecting previously unselected package node-prepend-http.
Preparing to unpack .../160-node-prepend-http_2.0.0-1_all.deb ...
Unpacking node-prepend-http (2.0.0-1) ...
Selecting previously unselected package node-url-parse-lax.
Preparing to unpack .../161-node-url-parse-lax_1.0.0-1_all.deb ...
Unpacking node-url-parse-lax (1.0.0-1) ...
Selecting previously unselected package node-got.
Preparing to unpack .../162-node-got_7.1.0-1_all.deb ...
Unpacking node-got (7.1.0-1) ...
Selecting previously unselected package node-nopt.
Preparing to unpack .../163-node-nopt_3.0.6-3_all.deb ...
Unpacking node-nopt (3.0.6-3) ...
Selecting previously unselected package node-set-blocking.
Preparing to unpack .../164-node-set-blocking_2.0.0-1_all.deb ...
Unpacking node-set-blocking (2.0.0-1) ...
Selecting previously unselected package node-npmlog.
Preparing to unpack .../165-node-npmlog_4.1.2-1_all.deb ...
Unpacking node-npmlog (4.1.2-1) ...
Selecting previously unselected package node-osenv.
Preparing to unpack .../166-node-osenv_0.1.5-1_all.deb ...
Unpacking node-osenv (0.1.5-1) ...
Selecting previously unselected package node-har-schema.
Preparing to unpack .../167-node-har-schema_2.0.0-1_all.deb ...
Unpacking node-har-schema (2.0.0-1) ...
Selecting previously unselected package node-har-validator.
Preparing to unpack .../168-node-har-validator_5.1.0-1_all.deb ...
Unpacking node-har-validator (5.1.0-1) ...
Selecting previously unselected package node-json-schema.
Preparing to unpack .../169-node-json-schema_0.2.3-1_all.deb ...
Unpacking node-json-schema (0.2.3-1) ...
Selecting previously unselected package node-verror.
Preparing to unpack .../170-node-verror_1.10.0-1_all.deb ...
Unpacking node-verror (1.10.0-1) ...
Selecting previously unselected package node-jsprim.
Preparing to unpack .../171-node-jsprim_1.4.0-1_all.deb ...
Unpacking node-jsprim (1.4.0-1) ...
Selecting previously unselected package node-sshpk.
Preparing to unpack .../172-node-sshpk_1.13.1+dfsg-2_all.deb ...
Unpacking node-sshpk (1.13.1+dfsg-2) ...
Selecting previously unselected package node-http-signature.
Preparing to unpack .../173-node-http-signature_1.2.0-1_all.deb ...
Unpacking node-http-signature (1.2.0-1) ...
Selecting previously unselected package node-is-typedarray.
Preparing to unpack .../174-node-is-typedarray_1.0.0-2_all.deb ...
Unpacking node-is-typedarray (1.0.0-2) ...
Selecting previously unselected package node-isstream.
Preparing to unpack .../175-node-isstream_0.1.2+dfsg-1_all.deb ...
Unpacking node-isstream (0.1.2+dfsg-1) ...
Selecting previously unselected package node-json-stringify-safe.
Preparing to unpack .../176-node-json-stringify-safe_5.0.1-1_all.deb ...
Unpacking node-json-stringify-safe (5.0.1-1) ...
Selecting previously unselected package node-oauth-sign.
Preparing to unpack .../177-node-oauth-sign_0.9.0-1_all.deb ...
Unpacking node-oauth-sign (0.9.0-1) ...
Selecting previously unselected package node-performance-now.
Preparing to unpack .../178-node-performance-now_2.1.0+debian-1_all.deb ...
Unpacking node-performance-now (2.1.0+debian-1) ...
Selecting previously unselected package node-qs.
Preparing to unpack .../179-node-qs_6.5.2-1_all.deb ...
Unpacking node-qs (6.5.2-1) ...
Selecting previously unselected package node-punycode.
Preparing to unpack .../180-node-punycode_2.1.1-2_all.deb ...
Unpacking node-punycode (2.1.1-2) ...
Selecting previously unselected package node-tough-cookie.
Preparing to unpack .../181-node-tough-cookie_2.3.4+dfsg-1_all.deb ...
Unpacking node-tough-cookie (2.3.4+dfsg-1) ...
Selecting previously unselected package node-tunnel-agent.
Preparing to unpack .../182-node-tunnel-agent_0.6.1-1_all.deb ...
Unpacking node-tunnel-agent (0.6.1-1) ...
Selecting previously unselected package node-uuid.
Preparing to unpack .../183-node-uuid_3.3.2-2_all.deb ...
Unpacking node-uuid (3.3.2-2) ...
Selecting previously unselected package node-node-uuid.
Preparing to unpack .../184-node-node-uuid_3.3.2-2_all.deb ...
Unpacking node-node-uuid (3.3.2-2) ...
Selecting previously unselected package node-request.
Preparing to unpack .../185-node-request_2.88.1-2_all.deb ...
Unpacking node-request (2.88.1-2) ...
Selecting previously unselected package node-semver.
Preparing to unpack .../186-node-semver_5.5.1-1_all.deb ...
Unpacking node-semver (5.5.1-1) ...
Selecting previously unselected package node-tar.
Preparing to unpack .../187-node-tar_4.4.6+ds1-3_all.deb ...
Unpacking node-tar (4.4.6+ds1-3) ...
Selecting previously unselected package node-gyp.
Preparing to unpack .../188-node-gyp_3.8.0-6_all.deb ...
Unpacking node-gyp (3.8.0-6) ...
Selecting previously unselected package node-hosted-git-info.
Preparing to unpack .../189-node-hosted-git-info_2.7.1-1_all.deb ...
Unpacking node-hosted-git-info (2.7.1-1) ...
Selecting previously unselected package node-import-lazy.
Preparing to unpack .../190-node-import-lazy_3.0.0.REALLY.2.1.0-1_all.deb ...
Unpacking node-import-lazy (3.0.0.REALLY.2.1.0-1) ...
Selecting previously unselected package node-invert-kv.
Preparing to unpack .../191-node-invert-kv_1.0.0-1_all.deb ...
Unpacking node-invert-kv (1.0.0-1) ...
Selecting previously unselected package node-is-builtin-module.
Preparing to unpack .../192-node-is-builtin-module_2.0.0-1_all.deb ...
Unpacking node-is-builtin-module (2.0.0-1) ...
Selecting previously unselected package node-is-npm.
Preparing to unpack .../193-node-is-npm_1.0.0-1_all.deb ...
Unpacking node-is-npm (1.0.0-1) ...
Selecting previously unselected package node-json-parse-better-errors.
Preparing to unpack .../194-node-json-parse-better-errors_1.0.2-2_all.deb ...
Unpacking node-json-parse-better-errors (1.0.2-2) ...
Selecting previously unselected package node-jsonparse.
Preparing to unpack .../195-node-jsonparse_1.3.1-6_all.deb ...
Unpacking node-jsonparse (1.3.1-6) ...
Selecting previously unselected package node-through.
Preparing to unpack .../196-node-through_2.3.8-1_all.deb ...
Unpacking node-through (2.3.8-1) ...
Selecting previously unselected package node-jsonstream.
Preparing to unpack .../197-node-jsonstream_1.3.2-1_all.deb ...
Unpacking node-jsonstream (1.3.2-1) ...
Selecting previously unselected package node-minimist.
Preparing to unpack .../198-node-minimist_1.2.0-1+deb10u1_all.deb ...
Unpacking node-minimist (1.2.0-1+deb10u1) ...
Selecting previously unselected package node-strip-json-comments.
Preparing to unpack .../199-node-strip-json-comments_2.0.1-2_all.deb ...
Unpacking node-strip-json-comments (2.0.1-2) ...
Selecting previously unselected package node-rc.
Preparing to unpack .../200-node-rc_1.1.6-2_all.deb ...
Unpacking node-rc (1.1.6-2) ...
Selecting previously unselected package node-registry-url.
Preparing to unpack .../201-node-registry-url_3.1.0-1_all.deb ...
Unpacking node-registry-url (3.1.0-1) ...
Selecting previously unselected package node-registry-auth-token.
Preparing to unpack .../202-node-registry-auth-token_3.3.1-1_all.deb ...
Unpacking node-registry-auth-token (3.3.1-1) ...
Selecting previously unselected package node-package-json.
Preparing to unpack .../203-node-package-json_4.0.1-1_all.deb ...
Unpacking node-package-json (4.0.1-1) ...
Selecting previously unselected package node-latest-version.
Preparing to unpack .../204-node-latest-version_3.1.0-1_all.deb ...
Unpacking node-latest-version (3.1.0-1) ...
Selecting previously unselected package node-lazy-property.
Preparing to unpack .../205-node-lazy-property_1.0.0-3_all.deb ...
Unpacking node-lazy-property (1.0.0-3) ...
Selecting previously unselected package node-lcid.
Preparing to unpack .../206-node-lcid_1.0.0-1_all.deb ...
Unpacking node-lcid (1.0.0-1) ...
Selecting previously unselected package node-validate-npm-package-name.
Preparing to unpack .../207-node-validate-npm-package-name_3.0.0-1_all.deb ...
Unpacking node-validate-npm-package-name (3.0.0-1) ...
Selecting previously unselected package node-npm-package-arg.
Preparing to unpack .../208-node-npm-package-arg_6.0.0-2_all.deb ...
Unpacking node-npm-package-arg (6.0.0-2) ...
Selecting previously unselected package node-require-directory.
Preparing to unpack .../209-node-require-directory_2.1.1-1_all.deb ...
Unpacking node-require-directory (2.1.1-1) ...
Selecting previously unselected package node-require-main-filename.
Preparing to unpack .../210-node-require-main-filename_1.0.1-1_all.deb ...
Unpacking node-require-main-filename (1.0.1-1) ...
Selecting previously unselected package node-which-module.
Preparing to unpack .../211-node-which-module_2.0.0-1_all.deb ...
Unpacking node-which-module (2.0.0-1) ...
Selecting previously unselected package node-mimic-fn.
Preparing to unpack .../212-node-mimic-fn_1.1.0-1_all.deb ...
Unpacking node-mimic-fn (1.1.0-1) ...
Selecting previously unselected package node-mem.
Preparing to unpack .../213-node-mem_1.1.0-1_all.deb ...
Unpacking node-mem (1.1.0-1) ...
Selecting previously unselected package node-os-locale.
Preparing to unpack .../214-node-os-locale_2.0.0-1_all.deb ...
Unpacking node-os-locale (2.0.0-1) ...
Selecting previously unselected package node-yargs-parser.
Preparing to unpack .../215-node-yargs-parser_11.1.1-1+deb10u1_all.deb ...
Unpacking node-yargs-parser (11.1.1-1+deb10u1) ...
Selecting previously unselected package node-yargs.
Preparing to unpack .../216-node-yargs_10.0.3-2_all.deb ...
Unpacking node-yargs (10.0.3-2) ...
Selecting previously unselected package node-libnpx.
Preparing to unpack .../217-node-libnpx_10.2.0+repack-1_all.deb ...
Unpacking node-libnpx (10.2.0+repack-1) ...
Selecting previously unselected package node-lockfile.
Preparing to unpack .../218-node-lockfile_1.0.4-1_all.deb ...
Unpacking node-lockfile (1.0.4-1) ...
Selecting previously unselected package node-mute-stream.
Preparing to unpack .../219-node-mute-stream_0.0.8-1_all.deb ...
Unpacking node-mute-stream (0.0.8-1) ...
Selecting previously unselected package node-spdx-license-ids.
Preparing to unpack .../220-node-spdx-license-ids_1.2.2-1_all.deb ...
Unpacking node-spdx-license-ids (1.2.2-1) ...
Selecting previously unselected package node-spdx-correct.
Preparing to unpack .../221-node-spdx-correct_1.0.2-1_all.deb ...
Unpacking node-spdx-correct (1.0.2-1) ...
Selecting previously unselected package node-spdx-expression-parse.
Preparing to unpack .../222-node-spdx-expression-parse_1.0.4-1_all.deb ...
Unpacking node-spdx-expression-parse (1.0.4-1) ...
Selecting previously unselected package node-validate-npm-package-license.
Preparing to unpack .../223-node-validate-npm-package-license_3.0.1-1_all.deb ...
Unpacking node-validate-npm-package-license (3.0.1-1) ...
Selecting previously unselected package node-normalize-package-data.
Preparing to unpack .../224-node-normalize-package-data_2.4.0-1_all.deb ...
Unpacking node-normalize-package-data (2.4.0-1) ...
Selecting previously unselected package node-opener.
Preparing to unpack .../225-node-opener_1.4.3-1_all.deb ...
Unpacking node-opener (1.4.3-1) ...
Selecting previously unselected package node-read.
Preparing to unpack .../226-node-read_1.0.7-1_all.deb ...
Unpacking node-read (1.0.7-1) ...
Selecting previously unselected package node-promzard.
Preparing to unpack .../227-node-promzard_0.3.0-1_all.deb ...
Unpacking node-promzard (0.3.0-1) ...
Selecting previously unselected package node-qw.
Preparing to unpack .../228-node-qw_1.0.1-1_all.deb ...
Unpacking node-qw (1.0.1-1) ...
Selecting previously unselected package node-slash.
Preparing to unpack .../229-node-slash_1.0.0-1_all.deb ...
Unpacking node-slash (1.0.0-1) ...
Selecting previously unselected package node-read-package-json.
Preparing to unpack .../230-node-read-package-json_2.0.13-1_all.deb ...
Unpacking node-read-package-json (2.0.13-1) ...
Selecting previously unselected package node-resolve-from.
Preparing to unpack .../231-node-resolve-from_4.0.0-1_all.deb ...
Unpacking node-resolve-from (4.0.0-1) ...
Selecting previously unselected package node-retry.
Preparing to unpack .../232-node-retry_0.10.1-1_all.deb ...
Unpacking node-retry (0.10.1-1) ...
Selecting previously unselected package node-semver-diff.
Preparing to unpack .../233-node-semver-diff_2.1.0-2_all.deb ...
Unpacking node-semver-diff (2.1.0-2) ...
Selecting previously unselected package node-sha.
Preparing to unpack .../234-node-sha_2.0.1-1_all.deb ...
Unpacking node-sha (2.0.1-1) ...
Selecting previously unselected package node-slide.
Preparing to unpack .../235-node-slide_1.1.6-2_all.deb ...
Unpacking node-slide (1.1.6-2) ...
Selecting previously unselected package node-sorted-object.
Preparing to unpack .../236-node-sorted-object_2.0.1-1_all.deb ...
Unpacking node-sorted-object (2.0.1-1) ...
Selecting previously unselected package node-stream-iterate.
Preparing to unpack .../237-node-stream-iterate_1.2.0-4_all.deb ...
Unpacking node-stream-iterate (1.2.0-4) ...
Selecting previously unselected package node-text-table.
Preparing to unpack .../238-node-text-table_0.2.0-2_all.deb ...
Unpacking node-text-table (0.2.0-2) ...
Selecting previously unselected package node-uid-number.
Preparing to unpack .../239-node-uid-number_0.0.6-1_all.deb ...
Unpacking node-uid-number (0.0.6-1) ...
Selecting previously unselected package node-unpipe.
Preparing to unpack .../240-node-unpipe_1.0.0-1_all.deb ...
Unpacking node-unpipe (1.0.0-1) ...
Selecting previously unselected package node-write-file-atomic.
Preparing to unpack .../241-node-write-file-atomic_2.3.0-1_all.deb ...
Unpacking node-write-file-atomic (2.3.0-1) ...
Selecting previously unselected package node-xdg-basedir.
Preparing to unpack .../242-node-xdg-basedir_3.0.0-1_all.deb ...
Unpacking node-xdg-basedir (3.0.0-1) ...
Selecting previously unselected package nodejs-doc.
Preparing to unpack .../243-nodejs-doc_10.24.0~dfsg-1~deb10u1_all.deb ...
Unpacking nodejs-doc (10.24.0~dfsg-1~deb10u1) ...
Selecting previously unselected package npm.
Preparing to unpack .../244-npm_5.8.0+ds6-4+deb10u2_all.deb ...
Unpacking npm (5.8.0+ds6-4+deb10u2) ...
Setting up libjs-inherits (2.0.3-1) ...
Setting up nodejs (10.24.0~dfsg-1~deb10u1) ...
update-alternatives: using /usr/bin/nodejs to provide /usr/bin/js (js) in auto mode
Setting up node-minimist (1.2.0-1+deb10u1) ...
Setting up node-aws4 (1.8.0-1) ...
Setting up node-prepend-http (2.0.0-1) ...
Setting up node-typedarray (0.0.6-1) ...
Setting up node-clone (2.1.2-1) ...
Setting up node-iferr (1.0.2-1) ...
Setting up node-chownr (1.1.1-1) ...
Setting up node-has-flag (2.0.0-1) ...
Setting up node-inherits (2.0.3-1) ...
Setting up node-builtin-modules (3.0.0-1) ...
Setting up node-path-is-absolute (1.0.0-1) ...
Setting up node-ini (1.3.5-1+deb10u1) ...
Setting up node-iconv-lite (0.4.13-2) ...
Setting up node-is-npm (1.0.0-1) ...
Setting up node-safe-buffer (5.1.2-1) ...
Setting up node-promise-inflight (1.0.1-1) ...
Setting up node-json-stringify-safe (5.0.1-1) ...
Setting up node-json-parse-better-errors (1.0.2-2) ...
Setting up node-y18n (3.2.1-2+deb10u1) ...
Setting up node-detect-newline (2.1.0-1) ...
Setting up node-shebang-regex (2.0.0-1) ...
Setting up node-har-schema (2.0.0-1) ...
Setting up node-mime-types (2.1.21-1) ...
Setting up node-performance-now (2.1.0+debian-1) ...
Setting up node-resolve-from (4.0.0-1) ...
Setting up node-balanced-match (0.4.2-1) ...
Setting up node-ansi (0.3.0-3) ...
Setting up node-is-object (1.0.1-1) ...
Setting up node-is-stream (1.1.0-1) ...
Setting up node-deep-extend (0.4.1-2) ...
Setting up node-p-finally (1.0.0-2) ...
Setting up node-get-stream (3.0.0-1) ...
Setting up node-set-blocking (2.0.0-1) ...
Setting up node-prr (1.0.1-1) ...
Setting up node-tunnel-agent (0.6.1-1) ...
Setting up node-uid-number (0.0.6-1) ...
Setting up node-signal-exit (3.0.2-1) ...
Setting up node-spdx-expression-parse (1.0.4-1) ...
Setting up node-cyclist (1.0.1-2) ...
Setting up node-wrappy (1.0.2-1) ...
Setting up node-text-table (0.2.0-2) ...
Setting up node-asynckit (0.4.0-2) ...
Setting up node-proto-list (1.2.4-1) ...
Setting up node-require-directory (2.1.1-1) ...
Setting up nodejs-doc (10.24.0~dfsg-1~deb10u1) ...
Setting up node-punycode (2.1.1-2) ...
Setting up node-concat-stream (1.6.2-1) ...
Setting up node-defaults (1.0.3-1) ...
Setting up node-mute-stream (0.0.8-1) ...
Setting up node-mimic-response (1.0.0-1) ...
Setting up node-duplexer3 (0.1.4-4) ...
Setting up node-graceful-fs (4.1.11-1) ...
Setting up node-jsonify (0.0.0-1) ...
Setting up node-json-stable-stringify (1.0.1-1) ...
Setting up node-hosted-git-info (2.7.1-1) ...
Setting up node-aproba (1.2.0-1) ...
Setting up node-tough-cookie (2.3.4+dfsg-1) ...
Setting up node-mimic-fn (1.1.0-1) ...
Setting up node-spdx-license-ids (1.2.2-1) ...
Setting up node-string-decoder (1.2.0-1) ...
Setting up node-mkdirp (0.5.1-1) ...
Setting up node-run-queue (1.0.3-1) ...
Setting up node-call-limit (1.1.0-1) ...
Setting up node-core-util-is (1.0.2-1) ...
Setting up node-json-schema (0.2.3-1) ...
Setting up node-is-builtin-module (2.0.0-1) ...
Setting up node-cli-boxes (1.0.0-1) ...
Setting up node-opener (1.4.3-1) ...
Setting up node-archy (1.0.0-2) ...
Setting up node-caseless (0.12.0-1) ...
Setting up node-imurmurhash (0.1.4-1) ...
Setting up node-xtend (4.0.1-2) ...
Setting up node-p-timeout (1.2.0-1) ...
Setting up node-encoding (0.1.12-2) ...
Setting up node-config-chain (1.1.11-1) ...
Setting up node-read (1.0.7-1) ...
Setting up node-detect-indent (5.0.0-1) ...
Setting up node-npm-run-path (2.0.2-2) ...
Setting up node-asn1 (0.2.3-1) ...
Setting up node-has-symbol-support-x (1.4.1+dfsg-1) ...
Setting up node-sorted-object (2.0.1-1) ...
Setting up node-isarray (2.0.4-1) ...
Setting up node-osenv (0.1.5-1) ...
Setting up node-is-plain-obj (1.1.0-1) ...
Setting up node-shebang-command (1.2.0-1) ...
Setting up libjs-is-typedarray (1.0.0-2) ...
Setting up node-lowercase-keys (1.0.0-2) ...
Setting up node-decompress-response (3.3.0-1) ...
Setting up node-strip-eof (1.0.0-2) ...
Setting up node-process-nextick-args (2.0.0-1) ...
Setting up node-semver (5.5.1-1) ...
Setting up node-has-unicode (2.0.1-2) ...
Setting up node-fs-write-stream-atomic (1.0.10-4) ...
Setting up gyp (0.1+20180428git4d467626-3) ...
Setting up node-forever-agent (0.6.1-1) ...
Setting up node-unpipe (1.0.0-1) ...
Setting up node-qs (6.5.2-1) ...
Setting up node-slide (1.1.6-2) ...
Setting up node-delayed-stream (0.0.5-1) ...
Setting up node-isstream (0.1.2+dfsg-1) ...
Setting up node-builtins (1.0.3-1) ...
Setting up node-stream-shift (1.0.0-1) ...
Setting up node-fs.realpath (1.0.0-1) ...
Setting up node-oauth-sign (0.9.0-1) ...
Setting up node-ssri (5.2.4-2) ...
Setting up node-url-to-options (1.0.1-1) ...
Setting up node-jsbn (1.1.0-1) ...
Setting up node-object-assign (4.1.1-2) ...
Setting up node-extsprintf (1.3.0-1) ...
Setting up node-abbrev (1.1.1-1) ...
Setting up node-mem (1.1.0-1) ...
Setting up node-path-is-inside (1.0.2-1) ...
Setting up node-supports-color (4.4.0-2) ...
Setting up node-invert-kv (1.0.0-1) ...
Setting up node-p-limit (1.1.0-1) ...
Setting up node-yallist (3.0.3-1) ...
Setting up node-p-cancelable (0.3.0-1) ...
Setting up node-ansi-regex (3.0.0-1) ...
Setting up node-timed-out (4.0.1-4) ...
Setting up node-strip-json-comments (2.0.1-2) ...
Setting up node-once (1.4.0-3) ...
Setting up node-write-file-atomic (2.3.0-1) ...
Setting up node-slash (1.0.0-1) ...
Setting up node-util-deprecate (1.0.2-1) ...
Setting up node-editor (1.0.0-1) ...
Setting up node-retry (0.10.1-1) ...
Setting up node-get-caller-file (1.0.2-1) ...
Setting up node-sha (2.0.1-1) ...
Setting up node-require-main-filename (1.0.1-1) ...
Setting up node-url-parse-lax (1.0.0-1) ...
Setting up node-concat-map (0.0.1-1) ...
Setting up node-import-lazy (3.0.0.REALLY.2.1.0-1) ...
Setting up node-is-retry-allowed (1.1.0-1) ...
Setting up node-assert-plus (1.0.0-1) ...
Setting up node-ansistyles (0.1.3-1) ...
Setting up node-delegates (1.0.0-1) ...
Setting up node-xdg-basedir (3.0.0-1) ...
Setting up node-co (4.6.0-1) ...
Setting up node-isexe (2.0.0-4) ...
Setting up node-jsonparse (1.3.1-6) ...
Setting up node-ajv (5.0.0-1) ...
Setting up node-path-exists (3.0.0-1) ...
Setting up node-qw (1.0.1-1) ...
Setting up node-tweetnacl (0.14.5+dfsg-3) ...
Setting up node-escape-string-regexp (1.0.5-1) ...
Setting up node-are-we-there-yet (1.1.4-1) ...
Setting up node-through (2.3.8-1) ...
Setting up node-errno (0.1.4-1) ...
Setting up node-p-locate (2.0.0-1) ...
Setting up node-which-module (2.0.0-1) ...
Setting up node-decamelize (1.2.0-1) ...
Setting up node-aws-sign2 (0.7.1-1) ...
Setting up node-color-name (1.1.3-1) ...
Setting up node-semver-diff (2.1.0-2) ...
Setting up node-bluebird (3.5.1+dfsg2-2) ...
Setting up node-console-control-strings (1.1.0-1) ...
Setting up node-camelcase (5.0.0-1) ...
Setting up node-uuid (3.3.2-2) ...
Setting up node-from2 (2.3.0-1) ...
Setting up node-extend (3.0.2-1) ...
Setting up node-jsonstream (1.3.2-1) ...
Setting up node-lazy-property (1.0.0-3) ...
Setting up node-yargs-parser (11.1.1-1+deb10u1) ...
Setting up node-dashdash (1.14.1-2) ...
Setting up node-validate-npm-package-name (3.0.0-1) ...
Setting up node-promzard (0.3.0-1) ...
Setting up node-wcwidth.js (1.0.0-1) ...
Setting up node-locate-path (2.0.0-1) ...
Setting up node-spdx-correct (1.0.2-1) ...
Setting up node-ecc-jsbn (0.1.1-1) ...
Setting up node-combined-stream (1.0.7-1) ...
Setting up node-unique-filename (1.1.0+ds-2) ...
Setting up node-brace-expansion (1.1.8-1) ...
Setting up node-form-data (2.3.2-2) ...
Setting up node-strip-ansi (4.0.0-1) ...
Setting up node-lockfile (1.0.4-1) ...
Setting up node-parallel-transform (1.1.0-2) ...
Setting up node-which (1.3.0-2) ...
Setting up node-lcid (1.0.0-1) ...
Setting up node-is-typedarray (1.0.0-2) ...
Setting up node-stream-iterate (1.2.0-4) ...
Setting up node-tar (4.4.6+ds1-3) ...
Setting up node-node-uuid (3.3.2-2) ...
Setting up node-inflight (1.0.6-1) ...
Setting up node-has-to-string-tag-x (1.4.1+dfsg-1) ...
Setting up node-rc (1.1.6-2) ...
Setting up node-minimatch (3.0.4-3) ...
Setting up node-npm-package-arg (6.0.0-2) ...
Setting up node-verror (1.10.0-1) ...
Setting up node-getpass (0.1.7-1) ...
Setting up node-nopt (3.0.6-3) ...
Setting up node-isurl (1.0.0-1) ...
Setting up node-color-convert (1.9.0-3) ...
Setting up node-string-width (2.1.1-1) ...
Setting up node-har-validator (5.1.0-1) ...
Setting up node-validate-npm-package-license (3.0.1-1) ...
Setting up node-readable-stream (2.3.6-1) ...
Setting up node-through2 (2.0.5-2) ...
Setting up node-lru-cache (5.1.1-4) ...
Setting up node-bcrypt-pbkdf (1.0.1-1) ...
Setting up node-end-of-stream (1.4.1-1) ...
Setting up node-pump (3.0.0-1) ...
Setting up node-jsprim (1.4.0-1) ...
Setting up node-flush-write-stream (1.0.3-1) ...
Setting up node-find-up (2.1.0-1) ...
Setting up node-duplexify (3.6.1-1) ...
Setting up node-cross-spawn (5.1.0-2) ...
Setting up node-normalize-package-data (2.4.0-1) ...
Setting up node-ansi-styles (3.2.1-1) ...
Setting up node-glob (7.1.3-2) ...
Setting up node-pumpify (1.5.1-1) ...
Setting up node-widest-line (1.2.2-1) ...
Setting up node-got (7.1.0-1) ...
Setting up node-chalk (2.3.0-2) ...
Setting up node-registry-url (3.1.0-1) ...
Setting up node-registry-auth-token (3.3.1-1) ...
Setting up node-wide-align (1.1.0-1) ...
Setting up node-ansi-align (2.0.0-1) ...
Setting up node-rimraf (2.6.2-1) ...
Setting up node-sshpk (1.13.1+dfsg-2) ...
Setting up node-stream-each (1.2.2-2) ...
Setting up node-mississippi (3.0.0-1) ...
Setting up node-execa (0.10.0+dfsg-1) ...
Setting up node-read-package-json (2.0.13-1) ...
Setting up node-copy-concurrently (1.0.5-4) ...
Setting up node-move-concurrently (1.0.1-2) ...
Setting up node-term-size (1.2.0+dfsg-2) ...
Setting up node-os-locale (2.0.0-1) ...
Setting up node-http-signature (1.2.0-1) ...
Setting up node-fs-vacuum (1.2.10-2) ...
Setting up node-gauge (2.7.4-1) ...
Setting up node-wrap-ansi (4.0.0-1) ...
Setting up node-boxen (1.2.2-1) ...
Setting up node-package-json (4.0.1-1) ...
Setting up node-latest-version (3.1.0-1) ...
Setting up node-request (2.88.1-2) ...
Setting up node-npmlog (4.1.2-1) ...
Setting up node-cliui (4.1.0-1) ...
Setting up node-yargs (10.0.3-2) ...
Setting up node-cacache (11.3.2-2) ...
Setting up node-gyp (3.8.0-6) ...
Setting up node-libnpx (10.2.0+repack-1) ...
Setting up npm (5.8.0+ds6-4+deb10u2) ...
Processing triggers for man-db (2.8.5-2) ...
horo@slugbox:~$ nodejs -v
v10.24.0
horo@slugbox:~$ npm -v
5.8.0
horo@slugbox:~$ 

So i now have an older version than what I had previously. I could swore the original was from a straight apt-get, but I may have run something with curl at one point to facilitate an upgrade.

Ran install script again that threw the error previously-

(venv) horo@slugbox:~/chia-blockchain$ sh install-gui.sh 
apt-get is /usr/bin/apt-get
[sudo] password for horo: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libxss1 is already the newest version (1:1.2.3-1).
libxss1 set to manually installed.
nodejs is already the newest version (10.24.0~dfsg-1~deb10u1).
npm is already the newest version (5.8.0+ds6-4+deb10u2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Installing on Ubuntu older than 20.04 LTS: Ugrading node.js to stable
npm WARN npm npm does not support Node.js v10.24.0
npm WARN npm You should probably upgrade to a newer version of node as we
npm WARN npm can't make any promises that npm will work with this version.
npm WARN npm Supported releases of Node.js are the latest release of 4, 6, 7, 8, 9.
npm WARN npm You can find the latest version at https://nodejs.org/
/usr/local/bin/n -> /usr/local/lib/node_modules/n/bin/n
+ n@7.2.2
added 1 package from 2 contributors in 1.149s
  installing : node-v14.16.1
       mkdir : /usr/local/n/versions/node/14.16.1
       fetch : https://nodejs.org/dist/v14.16.1/node-v14.16.1-linux-x64.tar.xz
   installed : v14.16.1 (with npm 6.14.12)

Note: the node command changed location and the old location may be remembered in your current shell.
         old : /usr/bin/node
         new : /usr/local/bin/node
To reset the command location hash either start a new shell, or execute PATH="$PATH"
Running git submodule update --init --recursive.

Running git submodule update.


> yarn@1.22.10 preinstall /home/horo/chia-blockchain/chia-blockchain-gui/node_modules/yarn
> :; (node ./preinstall.js > /dev/null 2>&1 || true)


> electron-winstaller@5.0.0 install /home/horo/chia-blockchain/chia-blockchain-gui/node_modules/electron-winstaller
> node ./script/select-7z-arch.js

Selecting 7-Zip for arch x64

> core-js@3.10.1 postinstall /home/horo/chia-blockchain/chia-blockchain-gui/node_modules/core-js
> node -e "try{require('./postinstall')}catch(e){}"

Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!

The project needs your help! Please consider supporting of core-js on Open Collective or Patreon: 
> https://opencollective.com/core-js 
> https://www.patreon.com/zloirock 

Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)


> core-js-pure@3.10.1 postinstall /home/horo/chia-blockchain/chia-blockchain-gui/node_modules/core-js-pure
> node -e "try{require('./postinstall')}catch(e){}"


> cypress@7.1.0 postinstall /home/horo/chia-blockchain/chia-blockchain-gui/node_modules/cypress
> node index.js --exec install

Installing Cypress (version: 7.1.0)

  ✔  Downloaded Cypress
  ✔  Unzipped Cypress
  ✔  Finished Installation /home/horo/.cache/Cypress/7.1.0

You can now open Cypress by running: node_modules/.bin/cypress open

https://on.cypress.io/installing-cypress


> electron@11.4.3 postinstall /home/horo/chia-blockchain/chia-blockchain-gui/node_modules/electron
> node install.js

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/webpack-dev-server/node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

added 2020 packages from 1082 contributors and audited 2035 packages in 173.86s

194 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities



   ╭────────────────────────────────────────────────────────────────╮
   │                                                                │
   │      New major version of npm available! 6.14.12 → 7.11.1      │
   │   Changelog: https://github.com/npm/cli/releases/tag/v7.11.1   │
   │               Run npm install -g npm to update!                │
   │                                                                │
   ╰────────────────────────────────────────────────────────────────╯

npm WARN @pmmmwh/react-refresh-webpack-plugin@0.4.3 requires a peer of react-refresh@>=0.8.3 <0.10.0 but none is installed. You must install peer dependencies yourself.
npm WARN @use-it/event-listener@0.1.6 requires a peer of react@^16.8.0 but none is installed. You must install peer dependencies yourself.
npm WARN acorn-dynamic-import@4.0.0 requires a peer of acorn@^6.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN react-scroll-to-bottom@4.1.1-master.2780945 requires a peer of react@^16.8.6 but none is installed. You must install peer dependencies yourself.
npm WARN react-simple-code-editor@0.10.0 requires a peer of react@^16.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN react-simple-code-editor@0.10.0 requires a peer of react-dom@^16.0.0 but none is installed. You must install peer dependencies yourself.
npm WARN use-dark-mode@2.3.1 requires a peer of react@^16.8.0 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.3.2 (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/webpack-dev-server/node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

up to date in 37.957s

194 packages are looking for funding
  run `npm fund` for details

fixed 0 of 0 vulnerabilities in 2035 scanned packages

> chia-blockchain@ build /home/horo/chia-blockchain/chia-blockchain-gui
> npm run locale && npm run build:electron && npm run build:react


> chia-blockchain@ locale /home/horo/chia-blockchain/chia-blockchain-gui
> lingui extract && lingui compile

Catalog statistics for /home/horo/chia-blockchain/chia-blockchain-gui/src/locales/{locale}/messages: 
┌────────────────┬─────────────┬─────────┐
│ Language       │ Total count │ Missing │
├────────────────┼─────────────┼─────────┤
│ da-DK          │     465     │   55    │
│ de-DE          │     465     │   57    │
│ en-AU          │     465     │   57    │
│ en-PT          │     465     │   55    │
│ en-US (source) │     465     │    -    │
│ es-ES          │     465     │   57    │
│ fi-FI          │     465     │   59    │
│ fr-FR          │     465     │   57    │
│ it-IT          │     465     │   57    │
│ ja-JP          │     465     │   57    │
│ nl-NL          │     465     │   115   │
│ pl-PL          │     465     │   125   │
│ pt-BR          │     465     │   57    │
│ pt-PT          │     465     │   57    │
│ ro-RO          │     465     │   60    │
│ ru-RU          │     465     │   55    │
│ sk-SK          │     465     │   143   │
│ sv-SE          │     465     │   58    │
│ zh-TW          │     465     │   56    │
│ zh-CN          │     465     │   55    │
└────────────────┴─────────────┴─────────┘

(use "npm run locale:extract" to update catalogs with new messages)
(use "npm run locale:compile" to compile catalogs for production)
Compiling message catalogs…
Done!

> chia-blockchain@ build:electron /home/horo/chia-blockchain/chia-blockchain-gui
> cross-env NODE_ENV=production webpack --config ./webpack.electron.babel.ts


> chia-blockchain@ build:react /home/horo/chia-blockchain/chia-blockchain-gui
> cross-env NODE_ENV=production webpack --config ./webpack.react.babel.ts


Chia blockchain install-gui.sh complete.

Type 'cd chia-blockchain-gui' and then 'npm run electron &' to start the GUI

So it appears successful

After this I tried npm -v again but gave me an error. I closed the shell and restarted and now have

horo@slugbox:~$ npm -v
6.14.12
horo@slugbox:~$ nodejs -v
v10.24.0

So it appears my nodejs version was slightly to new??
So thank you for everyone's quick and accurate help. I can only assume i had at some point run a script or followed a tutorial to meet some program's dependency requirements. Is there a 'best practice' for going off repo, so I can avoid these kinds of issues in the future? I would think that having the repo of the project (like nodesource) to stay upto date would be the safe option, but clearly I was wrong on that.

Last edited by horo (2021-04-28 15:49:31)

Offline

#10 2021-04-29 07:22:47

damo
....moderator....
Registered: 2015-08-20
Posts: 6,599

Re: nodejs/nodesource - Trouble with dependencies

horo wrote:

Is there a 'best practice' for going off repo, so I can avoid these kinds of issues in the future? I would think that having the repo of the project (like nodesource) to stay upto date would be the safe option, but clearly I was wrong on that.


Getting Started > How can I add new software?


Be Excellent to Each Other...
The Bunsenlabs Lithium Desktop » Here
FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#11 2021-04-29 09:49:17

rbh
Member
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 1,034

Re: nodejs/nodesource - Trouble with dependencies

horo wrote:

Is there a 'best practice' for going off repo, so I can avoid these kinds of issues in the future? I would think that having the repo of the project (like nodesource) to stay upto date would be the safe option, but clearly I was wrong on that.

If you want to add third party repository, you have to investigate the consequnces. Read the accompanying user forum and or the net. Maybe first run a test in a VM.
Safest is not to add third party repositorys... If you do, be prepared to handle disaster.


// Regards rbh

Offline

Board footer

Powered by FluxBB